## NVR-0104%28GPL_v2%29_2014-02-05.zip

=== Makefile ===
#
# Top level Makefile for D00100 builds
#
# Author:  Seenergy Corp
#
# Copyright 2008 Seenergy Corp 
#

BUILD_DIR = build
HEADER_DIR = tools/rootfs_util/header

ROOTFS_DIR = fsdir
ROOTFS_EXT2 = $(BUILD_DIR)/nmdb.ext2
RAMDISK_GZ = $(BUILD_DIR)/ramdisk.gz

BKROOTFS_DIR = bkfsdir
BKROOTFS_EXT2 = $(BUILD_DIR)/bknmdb.ext2
BKRAMDISK_GZ = $(BUILD_DIR)/bkramdisk.gz
BKROOTFS_IMG = $(BUILD_DIR)/bkrootfs.img

KERNEL_DIR = kernel
KERNEL_IMG = $(BUILD_DIR)/uImage
ROOTFS_IMG = $(BUILD_DIR)/rootfs.img

OEM_DIR = oem

KERN_UPDT_IMG = $(BUILD_DIR)/updatek.bin
FS_UPDT_IMG = $(BUILD_DIR)/updatefs.bin

MKIMAGE = /opt/montavista/pro/bin/mkimage
FSTOOL = /opt/montavista/pro/bin/fstool

TOOLS_DIR = tools
BBOX = busybox-1.6.0
#BBOX = busybox-1.11.1
SVINIT = sysvinit-2.86.ds1.orig
UDEV_DIR = udev-0.105.orig/udev-105
SSH_DIR = openssh-4.4p1
SMB_DIR = samba-3.0.14a
NKITBASE_DIR = netkit-base-0.17
SSL_DIR = openssl-0.9.8e
STUNNEL_DIR = stunnel-3.26
NTOOLS_DIR = net-tools-1.60
MEMSTAT_DIR = memstat-0.4
MDADM_DIR = mdadm-2.6.4
PWD = `pwd`

APPS_DIR = apps
APPS_INST_DIR = rootfs
PJPROJ_DIR = pjproject-0.8.0
PRODTEST_DIR = prodtest

BRFS_INIT_DIR = bkrootfs_init

WEB_DIR = apps/web
WEB_MAKEFILE = rootfs_util/web
WEB_TAR = web.tar.gz
WEB_IMG = $(BUILD_DIR)/$(WEB_TAR)
WEB_UPDT_IMG = $(BUILD_DIR)/web.bin

UBOOT_DIR = uboot

TFTP_DIR = /tftpboot

UPDT_RESV = 474 ## Reserve 512 - (18 + 20)
UPDATE_IMAGE = $(BUILD_DIR)/firmware.tar
VERSION_FILE = $(APPS_DIR)/version.txt

include .config

all: kernel rootfs web 

############################
# 	Pre-Install rules
############################
preinstall:
	rm -rf $(BUILD_DIR) $(ROOTFS_DIR) $(BKROOTFS_DIR)
	install -d  $(BUILD_DIR) $(ROOTFS_DIR) $(BKROOTFS_DIR)

############################
# 	Post-Install rules
############################
postinstall: updatefs.bin web.bin
	gzip $(UPDATE_IMAGE)

full_postinstall: updatefs.bin updatek.bin web.bin
	gzip $(UPDATE_IMAGE)

updatefs.bin:
	cat $(HEADER_DIR)/rootfs.magic | xargs echo -n > $(FS_UPDT_IMG)
	cat $(VERSION_FILE) | xargs echo -n >> $(FS_UPDT_IMG)
	dd if=/dev/zero count=$(UPDT_RESV) bs=1 >> $(FS_UPDT_IMG)
	md5sum $(ROOTFS_IMG) | awk '{ print $$1 }' | xargs echo -n >> $(FS_UPDT_IMG)
	cat $(ROOTFS_IMG) >> $(FS_UPDT_IMG)
	tar rvf $(UPDATE_IMAGE) -C $(BUILD_DIR) `basename $(FS_UPDT_IMG)` 

updatek.bin:
	cat $(HEADER_DIR)/kern.magic | xargs echo -n > $(KERN_UPDT_IMG)
	cat $(VERSION_FILE) | xargs echo -n >> $(KERN_UPDT_IMG)
	dd if=/dev/zero count=$(UPDT_RESV) bs=1 >> $(KERN_UPDT_IMG)
	md5sum $(KERNEL_IMG) | awk '{ print $$1 }' | xargs echo -n >> $(KERN_UPDT_IMG)
	cat $(KERNEL_IMG) >> $(KERN_UPDT_IMG)
	tar rvf $(UPDATE_IMAGE) -C $(BUILD_DIR) `basename $(KERN_UPDT_IMG)` 

web.bin:
	cat $(HEADER_DIR)/web.magic | xargs echo -n > $(WEB_UPDT_IMG)
	cat $(VERSION_FILE) | xargs echo -n >> $(WEB_UPDT_IMG)
	dd if=/dev/zero count=$(UPDT_RESV) bs=1 >> $(WEB_UPDT_IMG)
	md5sum $(WEB_IMG) | awk '{ print $$1 }' | xargs echo -n >> $(WEB_UPDT_IMG)
	cat $(WEB_IMG)  >> $(WEB_UPDT_IMG)
	tar rvf $(UPDATE_IMAGE) -C $(BUILD_DIR) `basename $(WEB_UPDT_IMG)` 

############################
# 	Setversion
############################
setversion:
	make -C $(APPS_DIR) setversion

############################
# 	Kernel
############################
kernel:
	make -C $(KERNEL_DIR) uImage
	make -C $(KERNEL_DIR) modules


############################
# 	Root filesystem
############################
ROOTFS_DEPS=rootfsprep tools
ifeq ($(CONFIG_APPS),y)
	ROOTFS_DEPS+=apps_arm
endif
ifeq ($(CONFIG_PRODTEST),y)
	ROOTFS_DEPS+=prodtest
endif
rootfs: $(ROOTFS_DEPS)

$(ROOTFS_IMG):
	 $(MKIMAGE) -A arm -O linux -T ramdisk -C gzip -a 0 -e 0 -n 'init ramdisk' -d $(RAMDISK_GZ) $(ROOTFS_IMG)

$(BKROOTFS_IMG):
	 $(MKIMAGE) -A arm -O linux -T ramdisk -C gzip -a 0 -e 0 -n 'init ramdisk' -d $(BKRAMDISK_GZ) $(BKROOTFS_IMG)

$(RAMDISK_GZ):
	$(FSTOOL) -t ext2 -d $(ROOTFS_DIR) $(ROOTFS_EXT2)
	gzip -9 < $(ROOTFS_EXT2) > $(RAMDISK_GZ)
	$(FSTOOL) -t ext2 -d $(BKROOTFS_DIR) $(BKROOTFS_EXT2)
	gzip -9 < $(BKROOTFS_EXT2) > $(BKRAMDISK_GZ)


############################
# 	Tools
############################
TOOLS_OBJS=bbox svinit udev netkit-base
ifeq ($(CONFIG_SMB),y)
	TOOLS_OBJS+=samba 
endif
ifeq ($(CONFIG_OPENSSH),y)
	TOOLS_OBJS+=openssh
endif
ifeq ($(CONFIG_OPENSSL),y)
	TOOLS_OBJS+=openssl
endif
ifeq ($(CONFIG_STUNNEL),y)
	TOOLS_OBJS+=stunnel 
endif
ifeq ($(CONFIG_NETTOOL),y)
	TOOLS_OBJS+=nettool
endif
ifeq ($(CONFIG_MEMSTAT),y)
	TOOLS_OBJS+=memstat
endif
ifeq ($(CONFIG_MDADM),y)
	TOOLS_OBJS+=mdadm
endif

tools: $(TOOLS_OBJS)

#
# Tools - Busybox
#
bbox:
	make -C $(TOOLS_DIR)/$(BBOX) CROSS_COMPILER_PREFIX=arm_v5t_le- 'CC=arm_v5t_le-gcc ' AR=arm_v5t_le-ar \
		STRIP=arm_v5t_le-strip STRIPTOOL=true DODEBUG=true CONFIG_PREFIX=$(ROOTFS_DIR) install V=1 

bbox_clean:
	make -C $(TOOLS_DIR)/$(BBOX) clean

bbox_install: bkbbox_install
	cp -a $(TOOLS_DIR)/$(BBOX)/$(ROOTFS_DIR)/* $(ROOTFS_DIR)/
	mkdir -p $(ROOTFS_DIR)/usr/share/udhcpc/
	install -m755 $(TOOLS_DIR)/$(BBOX)/examples/udhcp/default.script $(ROOTFS_DIR)/usr/share/udhcpc/
	install -m755 $(TOOLS_DIR)/$(BBOX)/examples/interfaces $(ROOTFS_DIR)/etc/network/
	install -d $(ROOTFS_DIR)/etc/network/if-pre-up.d \
		$(ROOTFS_DIR)/etc/network/if-up.d \
		$(ROOTFS_DIR)/etc/network/if-down.d \
		$(ROOTFS_DIR)/etc/network/if-post-down.d
	install -d $(ROOTFS_DIR)/var/lib/misc
	touch $(ROOTFS_DIR)/var/lib/misc/udhcpd.leases
	
bkbbox_install:
	cp -a $(TOOLS_DIR)/$(BBOX)/$(ROOTFS_DIR)/* $(BKROOTFS_DIR)/
	mkdir -p $(BKROOTFS_DIR)/usr/share/udhcpc/
	install -m755 $(TOOLS_DIR)/$(BBOX)/examples/udhcp/default.script $(BKROOTFS_DIR)/usr/share/udhcpc/
	install -m755 $(TOOLS_DIR)/$(BBOX)/examples/interfaces $(BKROOTFS_DIR)/etc/network/
	install -d $(BKROOTFS_DIR)/etc/network/if-pre-up.d \
		$(BKROOTFS_DIR)/etc/network/if-up.d \
		$(BKROOTFS_DIR)/etc/network/if-down.d \
		$(BKROOTFS_DIR)/etc/network/if-post-down.d
	install -d $(BKROOTFS_DIR)/var/lib/misc
	touch $(BKROOTFS_DIR)/var/lib/misc/udhcpd.leases

#
# Tools - SysV Init
#
svinit:
	make -C $(TOOLS_DIR)/$(SVINIT)/src CC=arm_v5t_le-gcc LDFLAGS=	CONFIG_PREFIX=../../$(ROOTFS_DIR)
	arm_v5t_le-strip -s $(TOOLS_DIR)/$(SVINIT)/src/bootlogd $(TOOLS_DIR)/$(SVINIT)/src/halt \
		$(TOOLS_DIR)/$(SVINIT)/src/init $(TOOLS_DIR)/$(SVINIT)/src/killall5 \
		$(TOOLS_DIR)/$(SVINIT)/src/last $(TOOLS_DIR)/$(SVINIT)/src/mesg \
		$(TOOLS_DIR)/$(SVINIT)/src/mountpoint $(TOOLS_DIR)/$(SVINIT)/src/runlevel \
		$(TOOLS_DIR)/$(SVINIT)/src/shutdown $(TOOLS_DIR)/$(SVINIT)/src/sulogin \
		$(TOOLS_DIR)/$(SVINIT)/src/utmpdump $(TOOLS_DIR)/$(SVINIT)/src/wall 

svinit_clean:
	make -C $(TOOLS_DIR)/$(SVINIT)/src clean

svinit_install: bksvinit_install
	make -C $(TOOLS_DIR)/$(SVINIT)/src ROOT=../../../$(ROOTFS_DIR) INSTALL=install install
	install -d $(ROOTFS_DIR)/etc
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/share/inittab $(ROOTFS_DIR)/etc
	cp -a $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/init.d \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/rc.d $(ROOTFS_DIR)/etc
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/sysv-rc/etc/init.d/rc \
		$(TOOLS_DIR)/$(SVINIT)/debian/sysv-rc/etc/init.d/rcS \
		$(ROOTFS_DIR)/etc/init.d/
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/sbin/fsck.nfs $(ROOTFS_DIR)/sbin/fsck.nfs
	install -m 644 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/bootlogd \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/devpts \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/halt \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/tmpfs \
		$(ROOTFS_DIR)/etc/default/.
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/share/default.rcS $(ROOTFS_DIR)/etc/default/rcS
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/init-functions $(ROOTFS_DIR)/etc/init.d/init-functions
	ln -sf sbin/init $(ROOTFS_DIR)/init
	ln -sf ../init.d/halt $(ROOTFS_DIR)/etc/rc.d/rc0.d/S90halt
	ln -sf ../init.d/reboot $(ROOTFS_DIR)/etc/rc.d/rc6.d/S90reboot
	ln -sf ../init.d/sendsigs $(ROOTFS_DIR)/etc/rc.d/rc0.d/S20sendsigs
	ln -sf ../init.d/sendsigs $(ROOTFS_DIR)/etc/rc.d/rc6.d/S20sendsigs
	ln -sf ../init.d/single $(ROOTFS_DIR)/etc/rc.d/rc1.d/S20single

bksvinit_install:
	#make -C $(TOOLS_DIR)/$(SVINIT)/src ROOT=../../../$(BKROOTFS_DIR) INSTALL=install install
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/src/init $(BKROOTFS_DIR)/sbin
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/src/mountpoint $(BKROOTFS_DIR)/bin
	install -d $(BKROOTFS_DIR)/etc
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/share/inittab $(BKROOTFS_DIR)/etc
	cp -a $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/init.d \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/rc.d $(BKROOTFS_DIR)/etc
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/sysv-rc/etc/init.d/rc \
		$(TOOLS_DIR)/$(SVINIT)/debian/sysv-rc/etc/init.d/rcS \
		$(BKROOTFS_DIR)/etc/init.d/
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/sbin/fsck.nfs $(BKROOTFS_DIR)/sbin/fsck.nfs
	install -m 644 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/bootlogd \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/devpts \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/halt \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/tmpfs \
		$(BKROOTFS_DIR)/etc/default/.
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/share/default.rcS $(BKROOTFS_DIR)/etc/default/rcS
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/init-functions $(BKROOTFS_DIR)/etc/init.d/init-functions
	ln -sf sbin/init $(BKROOTFS_DIR)/init
	ln -sf ../init.d/halt $(BKROOTFS_DIR)/etc/rc.d/rc0.d/S90halt
	ln -sf ../init.d/reboot $(BKROOTFS_DIR)/etc/rc.d/rc6.d/S90reboot
	ln -sf ../init.d/sendsigs $(BKROOTFS_DIR)/etc/rc.d/rc0.d/S20sendsigs
	ln -sf ../init.d/sendsigs $(BKROOTFS_DIR)/etc/rc.d/rc6.d/S20sendsigs
	ln -sf ../init.d/single $(BKROOTFS_DIR)/etc/rc.d/rc1.d/S20single


#
# Tools - udev
#
udev:
	make -C $(TOOLS_DIR)/$(UDEV_DIR)/ ARCH=none CROSS_COMPILE=arm_v5t_le- OPTIMIZATION=-O2 udevdir=/dev \
		USE_KLIBC=false USE_LOG=false DEBUG=false V=true 'EXTRAS=extras/scsi_id extras/volume_id'
	arm_v5t_le-strip -s $(TOOLS_DIR)/$(UDEV_DIR)/udevtest $(TOOLS_DIR)/$(UDEV_DIR)/udevinfo \
		$(TOOLS_DIR)/$(UDEV_DIR)/udevmonitor $(TOOLS_DIR)/$(UDEV_DIR)/udevsettle \
		$(TOOLS_DIR)/$(UDEV_DIR)/udevd $(TOOLS_DIR)/$(UDEV_DIR)/udevtrigger \
		$(TOOLS_DIR)/$(UDEV_DIR)/udevstart $(TOOLS_DIR)/$(UDEV_DIR)/udevcontrol

udev_clean:
	make -C $(TOOLS_DIR)/$(UDEV_DIR) clean

udev_install: bkudev_install
	make -C $(TOOLS_DIR)/$(UDEV_DIR)/ DESTDIR=../../../$(ROOTFS_DIR) install
	install -d $(ROOTFS_DIR)/etc/udev/scripts
	install -m 744 $(TOOLS_DIR)/$(UDEV_DIR)/../extra/scsi-devfs.sh $(ROOTFS_DIR)/etc/udev/scripts/
	install -m 744 $(TOOLS_DIR)/$(UDEV_DIR)/../extra/ide-devfs.sh $(ROOTFS_DIR)/etc/udev/scripts/
	install -m 744 $(TOOLS_DIR)/$(UDEV_DIR)/../extra/raid-devfs.sh $(ROOTFS_DIR)/etc/udev/scripts/
	install -m 744 $(TOOLS_DIR)/$(UDEV_DIR)/../extra/usb-automnt.sh $(ROOTFS_DIR)/etc/udev/scripts/
	install -m 744 $(TOOLS_DIR)/$(UDEV_DIR)/../extra/hdd-automnt.sh $(ROOTFS_DIR)/etc/udev/scripts/
	install -d $(ROOTFS_DIR)/etc/init.d
	install $(TOOLS_DIR)/$(UDEV_DIR)/../debian/udev.init $(ROOTFS_DIR)/etc/init.d/udev
	install $(TOOLS_DIR)/$(UDEV_DIR)/../debian/udev.udev-mtab.init $(ROOTFS_DIR)/etc/init.d/udev-mtab
	install -m 644 $(TOOLS_DIR)/$(UDEV_DIR)/../rules/cd-aliases-generator.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/compat.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/devfs.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/hotplug.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/hotplugd.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/permissions.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/persistent-input.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/persistent-net-generator.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/persistent.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/run.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/udev.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/usb-automnt.rules \

=== kernel/Makefile ===
VERSION = 2
PATCHLEVEL = 6
SUBLEVEL = 18
EXTRAVERSION =
NAME=Avast! A bilge rat!

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not print "Entering directory ..."
MAKEFLAGS += --no-print-directory

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call checker as part of compilation of C files
# Use 'make C=1' to enable checking (sparse, by default)
# Override with 'make C=1 CHECK=checker_executable CHECKFLAGS=....'

ifdef C
  ifeq ("$(origin C)", "command line")
    KBUILD_CHECKSRC = $(C)
  endif
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif
ifdef M
  ifeq ("$(origin M)", "command line")
    KBUILD_EXTMOD := $(M)
  endif
endif


# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifdef O
  ifeq ("$(origin O)", "command line")
    KBUILD_OUTPUT := $(O)
  endif
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS)

$(filter-out _all,$(MAKECMDGOALS)) _all:
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile $@

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
TOPDIR		:= $(srctree)
# FIXME - TOPDIR is obsolete, use srctree/objtree
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH TOPDIR


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile

ARCH := $(shell if [ -f .mvl_target_cpu ]; then \
			cat .mvl_target_cpu; \
		else \
			echo $(SUBARCH); \
		fi)
CROSS_COMPILE   = $(shell if [ -f .mvl_cross_compile ]; then \
			          cat .mvl_cross_compile; \
			  fi)

# Architecture as present in compile.h
UTS_MACHINE := $(ARCH)

KCONFIG_CONFIG	?= .config

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTINCLUDE  = $(shell if [ -n "`which mvl-whereami 2> /dev/null`" ] ; then \
				echo "-I`mvl-whereami`/../include"; \
		       fi)
HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer $(HOSTINCLUDE)
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions
include  $(srctree)/scripts/Kbuild.include

# Do not use make's built-in rules and variables
# This increases performance and avoid hard-to-debug behavour
MAKEFLAGS += -rR

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
DEPMOD		= depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ -Wbitwise $(CF)
MODFLAGS	= -DMODULE
CFLAGS_MODULE   = $(MODFLAGS)
AFLAGS_MODULE   = $(MODFLAGS)
LDFLAGS_MODULE  = -r
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := -Iinclude \
                   $(if $(KBUILD_SRC),-Iinclude2 -I$(srctree)/include) \
		   -include include/linux/autoconf.h \
		   -include linux/marker.h

CPPFLAGS        := -D__KERNEL__ $(LINUXINCLUDE)

CFLAGS          := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
                   -fno-strict-aliasing -fno-common
AFLAGS          := -D__ASSEMBLY__

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP MAKE AWK GENKSYMS PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS
export CFLAGS CFLAGS_KERNEL CFLAGS_MODULE
export AFLAGS AFLAGS_KERNEL AFLAGS_MODULE

# When compiling out-of-tree modules, put MODVERDIR in the module
# tree rather than in the kernel tree. The kernel tree might
# even be read-only.
export MODVERDIR := $(if $(KBUILD_EXTMOD),$(firstword $(KBUILD_EXTMOD))/).tmp_versions

# Get quilt metadata directory locations
QUILT_PC := $(shell [ -r "$$HOME/.quiltrc" ] && . "$$HOME/.quiltrc" ; echo "$${QUILT_PC:-.pc}")
QUILT_PATCHES := $(shell [ -r "$$HOME/.quiltrc" ] && . "$$HOME/.quiltrc" ; echo "$${QUILT_PATCHES:-patches}")

# Files to ignore in find ... statements

RCS_FIND_IGNORE := \( -name SCCS -o -name BitKeeper -o -name .svn -o -name CVS -o -name "$(QUILT_PATCHES)" -o -name "$(QUILT_PC)" -o -name .hg -o -name .git \) -prune -o
export RCS_TAR_IGNORE := --exclude SCCS --exclude BitKeeper --exclude .svn --exclude CVS --exclude "$(QUILT_PATCHES)" --exclude "$(QUILT_PC)" --exclude .hg --exclude .git

# ===========================================================================
# Rules shared between *config targets and build targets

# Basic helpers built in scripts/
PHONY += scripts_basic
scripts_basic:
	$(Q)$(MAKE) $(build)=scripts/basic

# To avoid any implicit rule to kick in, define an empty command.
scripts/basic/%: scripts_basic ;

PHONY += outputmakefile
# outputmakefile generates a Makefile in the output directory, if using a
# separate output directory. This allows convenient use of make in the
# output directory.
outputmakefile:
ifneq ($(KBUILD_SRC),)

=== uboot/Makefile ===
#
# (C) Copyright 2000-2004
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

HOSTARCH := $(shell uname -m | \
	sed -e s/i.86/i386/ \
	    -e s/sun4u/sparc64/ \
	    -e s/arm.*/arm/ \
	    -e s/sa110/arm/ \
	    -e s/powerpc/ppc/ \
	    -e s/macppc/ppc/)

HOSTOS := $(shell uname -s | tr A-Z a-z | \
	    sed -e 's/\(cygwin\).*/cygwin/')

export	HOSTARCH

# Deal with colliding definitions from tcsh etc.
VENDOR=

#########################################################################

TOPDIR	:= $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
export	TOPDIR

ifeq (include/config.mk,$(wildcard include/config.mk))
# load ARCH, BOARD, and CPU configuration
include include/config.mk
export	ARCH CPU BOARD VENDOR
# load other configuration
include $(TOPDIR)/config.mk

ifndef CROSS_COMPILE
ifeq ($(HOSTARCH),ppc)
CROSS_COMPILE =
else
ifeq ($(ARCH),ppc)
CROSS_COMPILE = ppc_8xx-
endif
ifeq ($(ARCH),arm)
ifeq ($(CROSS),armlinux)
CROSS_COMPILE = arm-linux-
endif
endif
ifeq ($(ARCH),i386)
ifeq ($(HOSTARCH),i386)
CROSS_COMPILE =
else
CROSS_COMPILE = i386-linux-
endif
endif
ifeq ($(ARCH),mips)
CROSS_COMPILE = mips_4KC-
endif
ifeq ($(ARCH),nios)
CROSS_COMPILE = nios-elf-
endif
ifeq ($(ARCH),m68k)
CROSS_COMPILE = m68k-elf-
endif
ifeq ($(ARCH),microblaze)
CROSS_COMPILE = mb-
endif
endif
endif

export	CROSS_COMPILE

#########################################################################
# U-Boot objects....order is important (i.e. start must be first)

OBJS  = cpu/$(CPU)/start.o
ifeq ($(CPU),i386)
OBJS += cpu/$(CPU)/start16.o
OBJS += cpu/$(CPU)/reset.o
endif
ifeq ($(CPU),ppc4xx)
OBJS += cpu/$(CPU)/resetvec.o
endif
ifeq ($(CPU),mpc85xx)
OBJS += cpu/$(CPU)/resetvec.o
endif

LIBS  = lib_generic/libgeneric.a
LIBS += board/$(BOARDDIR)/lib$(BOARD).a
LIBS += cpu/$(CPU)/lib$(CPU).a
LIBS += lib_$(ARCH)/lib$(ARCH).a
LIBS += fs/cramfs/libcramfs.a fs/fat/libfat.a fs/fdos/libfdos.a fs/jffs2/libjffs2.a \
	fs/reiserfs/libreiserfs.a fs/ext2/libext2fs.a
LIBS += net/libnet.a
LIBS += disk/libdisk.a
LIBS += rtc/librtc.a
LIBS += dtt/libdtt.a
LIBS += drivers/libdrivers.a
LIBS += drivers/sk98lin/libsk98lin.a
LIBS += post/libpost.a post/cpu/libcpu.a
LIBS += common/libcommon.a
.PHONY : $(LIBS)

# Add GCC lib
PLATFORM_LIBS += --no-warn-mismatch -L $(shell dirname `$(CC) $(CFLAGS) -print-libgcc-file-name`) -lgcc


# The "tools" are needed early, so put this first
# Don't include stuff already done in $(LIBS)
SUBDIRS	= tools \
	  examples \
	  post \
	  post/cpu
.PHONY : $(SUBDIRS)

#########################################################################
#########################################################################

ALL = u-boot.srec u-boot.bin System.map

all:		$(ALL)

u-boot.srec:	u-boot
		$(OBJCOPY) ${OBJCFLAGS} -O srec $< $@

u-boot.bin:	u-boot
		$(OBJCOPY) ${OBJCFLAGS} -O binary $< $@
		sudo cp $@ /tftpboot

u-boot.img:	u-boot.bin
		./tools/mkimage -A $(ARCH) -T firmware -C none \
		-a $(TEXT_BASE) -e 0 \
		-n $(shell sed -n -e 's/.*U_BOOT_VERSION//p' include/version.h | \
			sed -e 's/"[	 ]*$$/ for $(BOARD) board"/') \
		-d $< $@

u-boot.dis:	u-boot
		$(OBJDUMP) -d $< > $@

		
nboot:          $(NAND_OBJS)
		$(LD) $(NAND_LDFLAGS) $(NAND_OBJS) --start-group $(LIBS) $(PLATFORM_LIBS) --end-group\
		-e nbootStart -Map nboot.map -o nboot
		$(OBJCOPY) ${OBJCFLAGS} -O binary $@ $@.bin
		$(OBJDUMP) -d $@ > $@.dis

cnboot:		
		rm -f nboot*		

u-boot:		depend $(SUBDIRS) $(OBJS) $(LIBS) $(LDSCRIPT)
		UNDEF_SYM=`$(OBJDUMP) -x $(LIBS) |sed  -n -e 's/.*\(__u_boot_cmd_.*\)/-u\1/p'|sort|uniq`;\
		$(LD) $(LDFLAGS) $$UNDEF_SYM $(OBJS) \
			--start-group $(LIBS) $(PLATFORM_LIBS) --end-group \
			-Map u-boot.map -o u-boot

$(LIBS):
		$(MAKE) -C `dirname $@`

$(SUBDIRS):
		$(MAKE) -C $@ all

gdbtools:
		$(MAKE) -C tools/gdb || exit 1

depend dep:
		@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir .depend ; done

tags:
		ctags -w `find $(SUBDIRS) include \
				lib_generic board/$(BOARDDIR) cpu/$(CPU) lib_$(ARCH) \
				fs/cramfs fs/fat fs/fdos fs/jffs2 fs/ext2\
				net disk rtc dtt drivers drivers/sk98lin common \
			\( -name CVS -prune \) -o \( -name '*.[ch]' -print \)`

etags:
		etags -a `find $(SUBDIRS) include \
			\( -name CVS -prune \) -o \( -name '*.[ch]' -print \)`

System.map:	u-boot
		@$(NM) $< | \
		grep -v '\(compiled\)\|\(\.o$$\)\|\( [aUw] \)\|\(\.\.ng$$\)\|\(LASH[RL]DI\)' | \
		sort > System.map

#########################################################################
else
all install u-boot u-boot.srec depend dep:
	@echo "System not configured - see README" >&2
	@ exit 1
endif

#########################################################################

unconfig:
	@rm -f include/config.h include/config.mk board/*/config.tmp

#========================================================================
# PowerPC
#========================================================================

#########################################################################
## MPC5xx Systems
#########################################################################

cmi_mpc5xx_config:	unconfig
	@./mkconfig $(@:_config=) ppc mpc5xx cmi

PATI_config:		unconfig
	@./mkconfig $(@:_config=) ppc mpc5xx pati mpl

#########################################################################
## MPC5xxx Systems
#########################################################################
Lite5200_config				\
Lite5200_LOWBOOT_config			\
Lite5200_LOWBOOT08_config		\
icecube_5200_config			\
icecube_5200_LOWBOOT_config		\
icecube_5200_LOWBOOT08_config		\
icecube_5200_DDR_config 		\
icecube_5200_DDR_LOWBOOT_config 	\
icecube_5200_DDR_LOWBOOT08_config	\
icecube_5100_config:			unconfig
	@ >include/config.h
	@[ -z "$(findstring LOWBOOT_,$@)" ] || \
		{ if [ "$(findstring DDR,$@)" ] ; \
			then echo "TEXT_BASE = 0xFF800000" >board/icecube/config.tmp ; \
			else echo "TEXT_BASE = 0xFF000000" >board/icecube/config.tmp ; \
		  fi ; \
		  echo "... with LOWBOOT configuration" ; \
		}
	@[ -z "$(findstring LOWBOOT08,$@)" ] || \
		{ echo "TEXT_BASE = 0xFF800000" >board/icecube/config.tmp ; \
		  echo "... with 8 MB flash only" ; \
		  echo "... with LOWBOOT configuration" ; \
		}
	@[ -z "$(findstring DDR,$@)" ] || \
		{ echo "#define CONFIG_MPC5200_DDR"	>>include/config.h ; \
		  echo "... DDR memory revision" ; \
		}
	@[ -z "$(findstring 5200,$@)" ] || \
		{ echo "#define CONFIG_MPC5200"		>>include/config.h ; \
		  echo "... with MPC5200 processor" ; \
		}
	@[ -z "$(findstring 5100,$@)" ] || \
		{ echo "#define CONFIG_MGT5100"		>>include/config.h ; \
		  echo "... with MGT5100 processor" ; \
		}
	@./mkconfig -a IceCube ppc mpc5xxx icecube

MINI5200_config	\
EVAL5200_config	\
TOP5200_config:	unconfig
	@ echo "#define CONFIG_$(@:_config=) 1"	>include/config.h
	@./mkconfig -a TOP5200 ppc mpc5xxx top5200 emk

PM520_config:	unconfig
	@./mkconfig $(@:_config=) ppc mpc5xxx pm520

#########################################################################
## MPC8xx Systems
#########################################################################

AdderII_config:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx adderII

ADS860_config     \
DUET_ADS_config   \
FADS823_config    \
FADS850SAR_config \
MPC86xADS_config  \
FADS860T_config:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx fads

AMX860_config	:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx amx860 westel

c2mon_config:		unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx c2mon

CCM_config:		unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx CCM siemens

cogent_mpc8xx_config:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx cogent

ELPT860_config:		unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx elpt860 LEOX

ESTEEM192E_config:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx esteem192e

ETX094_config	:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx etx094

FLAGADM_config:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx flagadm

xtract_GEN860T = $(subst _SC,,$(subst _config,,$1))

GEN860T_SC_config	\
GEN860T_config: unconfig
	@ >include/config.h
	@[ -z "$(findstring _SC,$@)" ] || \
		{ echo "#define CONFIG_SC" >>include/config.h ; \
		  echo "With reduced H/W feature set (SC)..." ; \
		}
	@./mkconfig -a $(call xtract_GEN860T,$@) ppc mpc8xx gen860t

GENIETV_config:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx genietv

GTH_config:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx gth

hermes_config	:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx hermes

HMI10_config	:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx tqm8xx

IAD210_config: unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx IAD210 siemens

xtract_ICU862 = $(subst _100MHz,,$(subst _config,,$1))

ICU862_100MHz_config	\
ICU862_config: unconfig
	@ >include/config.h
	@[ -z "$(findstring _100MHz,$@)" ] || \
		{ echo "#define CONFIG_100MHz"	>>include/config.h ; \
		  echo "... with 100MHz system clock" ; \
		}
	@./mkconfig -a $(call xtract_ICU862,$@) ppc mpc8xx icu862

IP860_config	:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx ip860

IVML24_256_config \
IVML24_128_config \
IVML24_config:	unconfig
	@ >include/config.h
	@[ -z "$(findstring IVML24_config,$@)" ] || \
		 { echo "#define CONFIG_IVML24_16M"	>>include/config.h ; \
		 }
	@[ -z "$(findstring IVML24_128_config,$@)" ] || \
		 { echo "#define CONFIG_IVML24_32M"	>>include/config.h ; \
		 }
	@[ -z "$(findstring IVML24_256_config,$@)" ] || \
		 { echo "#define CONFIG_IVML24_64M"	>>include/config.h ; \
		 }
	@./mkconfig -a IVML24 ppc mpc8xx ivm

IVMS8_256_config \
IVMS8_128_config \
IVMS8_config:	unconfig
	@ >include/config.h
	@[ -z "$(findstring IVMS8_config,$@)" ] || \
		 { echo "#define CONFIG_IVMS8_16M"	>>include/config.h ; \
		 }
	@[ -z "$(findstring IVMS8_128_config,$@)" ] || \
		 { echo "#define CONFIG_IVMS8_32M"	>>include/config.h ; \
		 }
	@[ -z "$(findstring IVMS8_256_config,$@)" ] || \
		 { echo "#define CONFIG_IVMS8_64M"	>>include/config.h ; \
		 }
	@./mkconfig -a IVMS8 ppc mpc8xx ivm

KUP4K_config	:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx kup4k kup

KUP4X_config    :       unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx kup4x kup

LANTEC_config	:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx lantec

lwmon_config:		unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx lwmon

MBX_config	\
MBX860T_config:	unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx mbx8xx

MHPC_config:		unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx mhpc eltec

MVS1_config :		unconfig
	@./mkconfig $(@:_config=) ppc mpc8xx mvs1

xtract_NETVIA = $(subst _V2,,$(subst _config,,$1))

NETVIA_V2_config \
NETVIA_config:		unconfig
	@ >include/config.h
	@[ -z "$(findstring NETVIA_config,$@)" ] || \
		 { echo "#define CONFIG_NETVIA_VERSION 1" >>include/config.h ; \
		  echo "... Version 1" ; \
		 }
	@[ -z "$(findstring NETVIA_V2_config,$@)" ] || \
		 { echo "#define CONFIG_NETVIA_VERSION 2" >>include/config.h ; \
		  echo "... Version 2" ; \
		 }
	@./mkconfig -a $(call xtract_NETVIA,$@) ppc mpc8xx netvia

xtract_NETPHONE = $(subst _V2,,$(subst _config,,$1))

NETPHONE_V2_config \
NETPHONE_config:	unconfig
	@ >include/config.h
	@[ -z "$(findstring NETPHONE_config,$@)" ] || \
		 { echo "#define CONFIG_NETPHONE_VERSION 1" >>include/config.h ; \
		 }
	@[ -z "$(findstring NETPHONE_V2_config,$@)" ] || \
		 { echo "#define CONFIG_NETPHONE_VERSION 2" >>include/config.h ; \
		 }

=== kernel/crypto/Makefile ===
#
# Cryptographic API
#

proc-crypto-$(CONFIG_PROC_FS) = proc.o

obj-$(CONFIG_CRYPTO) += api.o scatterwalk.o cipher.o digest.o compress.o \
			$(proc-crypto-y)

obj-$(CONFIG_CRYPTO_HMAC) += hmac.o
obj-$(CONFIG_CRYPTO_XCBC) += xcbc.o
obj-$(CONFIG_CRYPTO_NULL) += crypto_null.o
obj-$(CONFIG_CRYPTO_MD4) += md4.o
obj-$(CONFIG_CRYPTO_MD5) += md5.o
obj-$(CONFIG_CRYPTO_SHA1) += sha1.o
obj-$(CONFIG_CRYPTO_SHA256) += sha256.o
obj-$(CONFIG_CRYPTO_SHA512) += sha512.o
obj-$(CONFIG_CRYPTO_WP512) += wp512.o
obj-$(CONFIG_CRYPTO_TGR192) += tgr192.o
obj-$(CONFIG_CRYPTO_DES) += des.o
obj-$(CONFIG_CRYPTO_BLOWFISH) += blowfish.o
obj-$(CONFIG_CRYPTO_TWOFISH) += twofish.o
obj-$(CONFIG_CRYPTO_SERPENT) += serpent.o
obj-$(CONFIG_CRYPTO_AES) += aes.o
obj-$(CONFIG_CRYPTO_CAST5) += cast5.o
obj-$(CONFIG_CRYPTO_CAST6) += cast6.o
obj-$(CONFIG_CRYPTO_ARC4) += arc4.o
obj-$(CONFIG_CRYPTO_TEA) += tea.o
obj-$(CONFIG_CRYPTO_KHAZAD) += khazad.o
obj-$(CONFIG_CRYPTO_ANUBIS) += anubis.o
obj-$(CONFIG_CRYPTO_DEFLATE) += deflate.o
obj-$(CONFIG_CRYPTO_MICHAEL_MIC) += michael_mic.o
obj-$(CONFIG_CRYPTO_CRC32C) += crc32c.o

obj-$(CONFIG_CRYPTO_TEST) += tcrypt.o

obj-$(CONFIG_OCF_OCF) += ocf/

=== kernel/drivers/Makefile ===
#
# Makefile for the Linux kernel device drivers.
#
# 15 Sep 2000, Christoph Hellwig <hch@infradead.org>
# Rewritten to use lists instead of if-statements.
#

obj-$(CONFIG_PCI)		+= pci/
obj-$(CONFIG_PARISC)		+= parisc/
obj-$(CONFIG_RAPIDIO)		+= rapidio/
obj-y				+= video/
obj-$(CONFIG_ACPI)		+= acpi/
# PnP must come after ACPI since it will eventually need to check if acpi
# was used and do nothing if so
obj-$(CONFIG_PNP)		+= pnp/
obj-$(CONFIG_ARM_AMBA)		+= amba/

# char/ comes before serial/ etc so that the VT console is the boot-time
# default.
obj-y				+= char/

obj-$(CONFIG_CONNECTOR)		+= connector/

# i810fb and intelfb depend on char/agp/
obj-$(CONFIG_FB_I810)           += video/i810/
obj-$(CONFIG_FB_INTEL)          += video/intelfb/

# we also need input/serio early so serio bus is initialized by the time
# serial drivers start registering their serio ports
obj-$(CONFIG_SERIO)		+= input/serio/
obj-y				+= serial/
obj-$(CONFIG_PARPORT)		+= parport/
obj-y				+= base/ block/ misc/ mfd/ net/ media/
obj-$(CONFIG_I2C)		+= i2c/
obj-y				+= media/ ssi/ cbus/
obj-$(CONFIG_NUBUS)		+= nubus/
obj-$(CONFIG_ATM)		+= atm/
obj-$(CONFIG_PPC_PMAC)		+= macintosh/
obj-$(CONFIG_IDE)		+= ide/
obj-$(CONFIG_FC4)		+= fc4/
obj-$(CONFIG_SCSI)		+= scsi/
obj-$(CONFIG_FUSION)		+= message/
obj-$(CONFIG_IEEE1394)		+= ieee1394/
obj-y				+= cdrom/
obj-$(CONFIG_MTD)		+= mtd/
obj-$(CONFIG_SPI)		+= spi/
obj-$(CONFIG_PCCARD)		+= pcmcia/
obj-$(CONFIG_DIO)		+= dio/
obj-$(CONFIG_SBUS)		+= sbus/
obj-$(CONFIG_ZORRO)		+= zorro/
obj-$(CONFIG_MAC)		+= macintosh/
obj-$(CONFIG_ATA_OVER_ETH)	+= block/aoe/
obj-$(CONFIG_PARIDE) 		+= block/paride/
obj-$(CONFIG_TC)		+= tc/
obj-$(CONFIG_USB)		+= usb/
obj-$(CONFIG_USB_MUSB_HDRC)	+= usb/musb/
obj-$(CONFIG_PCI)		+= usb/
obj-$(CONFIG_USB_GADGET)	+= usb/gadget/
obj-$(CONFIG_GAMEPORT)		+= input/gameport/
obj-$(CONFIG_INPUT)		+= input/
obj-$(CONFIG_I2O)		+= message/
obj-$(CONFIG_RTC_LIB)		+= rtc/
obj-$(CONFIG_W1)		+= w1/
obj-$(CONFIG_HWMON)		+= hwmon/
obj-$(CONFIG_PHONE)		+= telephony/
obj-$(CONFIG_MD)		+= md/
obj-$(CONFIG_BT)		+= bluetooth/
obj-$(CONFIG_ISDN)		+= isdn/
obj-$(CONFIG_EDAC)		+= edac/
obj-$(CONFIG_MCA)		+= mca/
obj-$(CONFIG_EISA)		+= eisa/
obj-$(CONFIG_CPU_FREQ)		+= cpufreq/
obj-$(CONFIG_MMC)		+= mmc/
obj-$(CONFIG_NEW_LEDS)		+= leds/
obj-$(CONFIG_INFINIBAND)	+= infiniband/
obj-$(CONFIG_IPATH_CORE)	+= infiniband/
obj-$(CONFIG_SGI_SN)		+= sn/
obj-y				+= firmware/
obj-$(CONFIG_CRYPTO)		+= crypto/
obj-$(CONFIG_SUPERH)		+= sh/
obj-$(CONFIG_GENERIC_TIME)	+= clocksource/
obj-$(CONFIG_DMA_ENGINE)	+= dma/
obj-$(CONFIG_PPC_PS3)		+= ps3/

=== kernel/fs/Makefile ===
#
# Makefile for the Linux filesystems.
#
# 14 Sep 2000, Christoph Hellwig <hch@infradead.org>
# Rewritten to use lists instead of if-statements.
# 

obj-y :=	open.o read_write.o file_table.o buffer.o  bio.o super.o \
		block_dev.o char_dev.o stat.o exec.o pipe.o namei.o fcntl.o \
		ioctl.o readdir.o select.o fifo.o locks.o dcache.o inode.o \
		attr.o bad_inode.o file.o filesystems.o namespace.o aio.o \
		seq_file.o xattr.o libfs.o fs-writeback.o mpage.o direct-io.o \
		ioprio.o pnode.o drop_caches.o splice.o sync.o

obj-$(CONFIG_INOTIFY)		+= inotify.o
obj-$(CONFIG_INOTIFY_USER)	+= inotify_user.o
obj-$(CONFIG_EPOLL)		+= eventpoll.o
obj-$(CONFIG_COMPAT)		+= compat.o compat_ioctl.o

nfsd-$(CONFIG_NFSD)		:= nfsctl.o
obj-y				+= $(nfsd-y) $(nfsd-m)

obj-$(CONFIG_BINFMT_AOUT)	+= binfmt_aout.o
obj-$(CONFIG_BINFMT_EM86)	+= binfmt_em86.o
obj-$(CONFIG_BINFMT_MISC)	+= binfmt_misc.o

# binfmt_script is always there
obj-y				+= binfmt_script.o

obj-$(CONFIG_BINFMT_ELF)	+= binfmt_elf.o
obj-$(CONFIG_BINFMT_ELF_FDPIC)	+= binfmt_elf_fdpic.o
obj-$(CONFIG_BINFMT_SOM)	+= binfmt_som.o
obj-$(CONFIG_BINFMT_FLAT)	+= binfmt_flat.o

obj-$(CONFIG_FS_MBCACHE)	+= mbcache.o
obj-$(CONFIG_FS_POSIX_ACL)	+= posix_acl.o xattr_acl.o
obj-$(CONFIG_NFS_COMMON)	+= nfs_common/

obj-$(CONFIG_QUOTA)		+= dquot.o
obj-$(CONFIG_QFMT_V1)		+= quota_v1.o
obj-$(CONFIG_QFMT_V2)		+= quota_v2.o
obj-$(CONFIG_QUOTACTL)		+= quota.o

obj-$(CONFIG_DNOTIFY)		+= dnotify.o

obj-$(CONFIG_PROC_FS)		+= proc/
obj-y				+= partitions/
obj-$(CONFIG_SYSFS)		+= sysfs/
obj-$(CONFIG_CONFIGFS_FS)	+= configfs/
obj-y				+= devpts/

obj-$(CONFIG_PROFILING)		+= dcookies.o
 
# Do not add any filesystems before this line
obj-$(CONFIG_REISERFS_FS)	+= reiserfs/
obj-$(CONFIG_EXT3_FS)		+= ext3/ # Before ext2 so root fs can be ext3
obj-$(CONFIG_JBD)		+= jbd/
obj-$(CONFIG_EXT2_FS)		+= ext2/
obj-$(CONFIG_CRAMFS)		+= cramfs/
obj-$(CONFIG_SQUASHFS)		+= squashfs/
obj-$(CONFIG_RAMFS)		+= ramfs/
obj-$(CONFIG_HUGETLBFS)		+= hugetlbfs/
obj-$(CONFIG_CODA_FS)		+= coda/
obj-$(CONFIG_MINIX_FS)		+= minix/
obj-$(CONFIG_FAT_FS)		+= fat/
obj-$(CONFIG_MSDOS_FS)		+= msdos/
obj-$(CONFIG_VFAT_FS)		+= vfat/
obj-$(CONFIG_BFS_FS)		+= bfs/
obj-$(CONFIG_ISO9660_FS)	+= isofs/
obj-$(CONFIG_HFSPLUS_FS)	+= hfsplus/ # Before hfs to find wrapped HFS+
obj-$(CONFIG_HFS_FS)		+= hfs/
obj-$(CONFIG_VXFS_FS)		+= freevxfs/
obj-$(CONFIG_NFS_FS)		+= nfs/
obj-$(CONFIG_EXPORTFS)		+= exportfs/
obj-$(CONFIG_NFSD)		+= nfsd/
obj-$(CONFIG_LOCKD)		+= lockd/
obj-$(CONFIG_NLS)		+= nls/
obj-$(CONFIG_SYSV_FS)		+= sysv/
obj-$(CONFIG_SMB_FS)		+= smbfs/
obj-$(CONFIG_CIFS)		+= cifs/
obj-$(CONFIG_NCP_FS)		+= ncpfs/
obj-$(CONFIG_HPFS_FS)		+= hpfs/
obj-$(CONFIG_NTFS_FS)		+= ntfs/
obj-$(CONFIG_UFS_FS)		+= ufs/
obj-$(CONFIG_EFS_FS)		+= efs/
obj-$(CONFIG_JFFS_FS)		+= jffs/
obj-$(CONFIG_JFFS2_FS)		+= jffs2/
obj-$(CONFIG_YAFFS_FS)		+= yaffs2/
obj-$(CONFIG_AFFS_FS)		+= affs/
obj-$(CONFIG_ROMFS_FS)		+= romfs/
obj-$(CONFIG_QNX4FS_FS)		+= qnx4/
obj-$(CONFIG_AUTOFS_FS)		+= autofs/
obj-$(CONFIG_AUTOFS4_FS)	+= autofs4/
obj-$(CONFIG_ADFS_FS)		+= adfs/
obj-$(CONFIG_FUSE_FS)		+= fuse/
obj-$(CONFIG_UDF_FS)		+= udf/
obj-$(CONFIG_SUN_OPENPROMFS)	+= openpromfs/
obj-$(CONFIG_JFS_FS)		+= jfs/
obj-$(CONFIG_XFS_FS)		+= xfs/
obj-$(CONFIG_9P_FS)		+= 9p/
obj-$(CONFIG_AFS_FS)		+= afs/
obj-$(CONFIG_BEFS_FS)		+= befs/
obj-$(CONFIG_HOSTFS)		+= hostfs/
obj-$(CONFIG_HPPFS)		+= hppfs/
obj-$(CONFIG_DEBUG_FS)		+= debugfs/
obj-$(CONFIG_OCFS2_FS)		+= ocfs2/

=== kernel/kernel/Makefile ===
#
# Makefile for the linux kernel.
#

obj-y     = sched.o fork.o exec_domain.o panic.o printk.o profile.o \
	    exit.o itimer.o time.o softirq.o resource.o \
	    sysctl.o capability.o ptrace.o timer.o user.o \
	    signal.o sys.o kmod.o workqueue.o pid.o \
	    rcupdate.o extable.o params.o posix-timers.o \
	    kthread.o wait.o kfifo.o sys_ni.o posix-cpu-timers.o \
	    hrtimer.o rwsem.o latency.o lspinfo.o

obj-$(CONFIG_STACKTRACE) += stacktrace.o
obj-y += time/
ifneq ($(CONFIG_PREEMPT_RT),y)
obj-y += mutex.o
obj-$(CONFIG_DEBUG_MUTEXES) += mutex-debug.o
endif
obj-$(CONFIG_LOCKDEP) += lockdep.o
ifeq ($(CONFIG_PROC_FS),y)
obj-$(CONFIG_LOCKDEP) += lockdep_proc.o
endif
obj-$(CONFIG_FUTEX) += futex.o
ifeq ($(CONFIG_COMPAT),y)
obj-$(CONFIG_FUTEX) += futex_compat.o
endif
obj-$(CONFIG_RT_MUTEXES) += rtmutex.o
obj-$(CONFIG_DEBUG_RT_MUTEXES) += rtmutex-debug.o
obj-$(CONFIG_RT_MUTEX_TESTER) += rtmutex-tester.o
obj-$(CONFIG_PREEMPT_RT) += rt.o
obj-$(CONFIG_GENERIC_ISA_DMA) += dma.o
obj-$(CONFIG_SMP) += cpu.o spinlock.o
obj-$(CONFIG_DEBUG_SPINLOCK) += spinlock.o
obj-$(CONFIG_PROVE_LOCKING) += spinlock.o
obj-$(CONFIG_UID16) += uid16.o
obj-$(CONFIG_MODULES) += module.o
obj-$(CONFIG_KALLSYMS) += kallsyms.o
obj-$(CONFIG_STACK_UNWIND) += unwind.o
obj-$(CONFIG_PM) += power/
obj-$(CONFIG_BSD_PROCESS_ACCT) += acct.o
obj-$(CONFIG_KEXEC) += kexec.o
obj-$(CONFIG_COMPAT) += compat.o
obj-$(CONFIG_CPUSETS) += cpuset.o
obj-$(CONFIG_IKCONFIG) += configs.o
obj-$(CONFIG_STOP_MACHINE) += stop_machine.o
obj-$(CONFIG_DEBUG_PREEMPT) += latency_trace.o
obj-$(CONFIG_LATENCY_TIMING) += latency_trace.o
obj-$(CONFIG_LATENCY_HIST) += latency_hist.o
obj-$(CONFIG_AUDIT) += audit.o auditfilter.o
obj-$(CONFIG_AUDITSYSCALL) += auditsc.o
obj-$(CONFIG_KPROBES) += kprobes.o
obj-$(CONFIG_KGDB) += kgdb.o
obj-$(CONFIG_SYSFS) += ksysfs.o
obj-$(CONFIG_DETECT_SOFTLOCKUP) += softlockup.o
obj-$(CONFIG_GENERIC_HARDIRQS) += irq/
obj-$(CONFIG_SECCOMP) += seccomp.o
obj-$(CONFIG_RCU_TORTURE_TEST) += rcutorture.o
obj-$(CONFIG_CLASSIC_RCU) += rcupdate.o rcuclassic.o
obj-$(CONFIG_PREEMPT_RCU) += rcupdate.o rcupreempt.o
obj-$(CONFIG_RCU_TRACE) += rcupreempt_trace.o
obj-$(CONFIG_RELAY) += relay.o
obj-$(CONFIG_TASK_DELAY_ACCT) += delayacct.o
obj-$(CONFIG_TASKSTATS) += taskstats.o

ifneq ($(CONFIG_SCHED_NO_NO_OMIT_FRAME_POINTER),y)
# According to Alan Modra <alan@linuxcare.com.au>, the -fno-omit-frame-pointer is
# needed for x86 only.  Why this used to be enabled for all architectures is beyond
# me.  I suspect most platforms don't need this, but until we know that for sure
# I turn this off for IA-64 only.  Andreas Schwab says it's also needed on m68k
# to get a correct value for the wait-channel (WCHAN in ps). --davidm
CFLAGS_sched.o := $(PROFILING) -fno-omit-frame-pointer
endif

$(obj)/configs.o: $(obj)/config_data.h

# config_data.h contains the same information as ikconfig.h but gzipped.
# Info from config_data can be extracted from /proc/config*
targets += config_data.gz
$(obj)/config_data.gz: .config FORCE
	$(call if_changed,gzip)

quiet_cmd_ikconfiggz = IKCFG   $@
      cmd_ikconfiggz = (echo "static const char kernel_config_data[] = MAGIC_START"; cat $< | scripts/bin2c; echo "MAGIC_END;") > $@
targets += config_data.h
$(obj)/config_data.h: $(obj)/config_data.gz FORCE
	$(call if_changed,ikconfiggz)

=== kernel/lib/Makefile ===
#
# Makefile for some libs needed in the kernel.
#

lib-y := errno.o ctype.o string.o vsprintf.o cmdline.o \
	 bust_spinlocks.o rbtree.o radix-tree.o dump_stack.o \
	 idr.o div64.o int_sqrt.o bitmap.o extable.o prio_tree.o \
	 sha1.o reciprocal_div.o

lib-$(CONFIG_SMP) += cpumask.o

lib-y	+= kobject.o kref.o kobject_uevent.o klist.o

obj-y += sort.o parser.o halfmd4.o iomap_copy.o debug_locks.o

ifeq ($(CONFIG_DEBUG_KOBJECT),y)
CFLAGS_kobject.o += -DDEBUG
CFLAGS_kobject_uevent.o += -DDEBUG
endif

obj-$(CONFIG_DEBUG_LOCKING_API_SELFTESTS) += locking-selftest.o
obj-$(CONFIG_DEBUG_SPINLOCK) += spinlock_debug.o
obj-$(CONFIG_PREEMPT_RT) += plist.o
obj-$(CONFIG_RWSEM_GENERIC_SPINLOCK) += rwsem-spinlock.o
lib-$(CONFIG_RWSEM_XCHGADD_ALGORITHM) += rwsem.o
lib-$(CONFIG_SEMAPHORE_SLEEPERS) += semaphore-sleepers.o
lib-$(CONFIG_GENERIC_FIND_NEXT_BIT) += find_next_bit.o
lib-$(CONFIG_GENERIC_HWEIGHT) += hweight.o
obj-$(CONFIG_LOCK_KERNEL) += kernel_lock.o
obj-$(CONFIG_PLIST) += plist.o
obj-$(CONFIG_DEBUG_PREEMPT) += smp_processor_id.o

ifneq ($(CONFIG_HAVE_DEC_LOCK),y)
  lib-y += dec_and_lock.o
endif

obj-$(CONFIG_CRC_CCITT)	+= crc-ccitt.o
obj-$(CONFIG_CRC16)	+= crc16.o
obj-$(CONFIG_CRC32)	+= crc32.o
obj-$(CONFIG_LIBCRC32C)	+= libcrc32c.o
obj-$(CONFIG_GENERIC_IOMAP) += iomap.o
obj-$(CONFIG_GENERIC_ALLOCATOR) += genalloc.o

obj-$(CONFIG_ZLIB_INFLATE) += zlib_inflate/
obj-$(CONFIG_ZLIB_DEFLATE) += zlib_deflate/
obj-$(CONFIG_REED_SOLOMON) += reed_solomon/

obj-$(CONFIG_TEXTSEARCH) += textsearch.o
obj-$(CONFIG_TEXTSEARCH_KMP) += ts_kmp.o
obj-$(CONFIG_TEXTSEARCH_BM) += ts_bm.o
obj-$(CONFIG_TEXTSEARCH_FSM) += ts_fsm.o
obj-$(CONFIG_SMP) += percpu_counter.o
obj-$(CONFIG_AUDIT_GENERIC) += audit.o

obj-$(CONFIG_SWIOTLB) += swiotlb.o

hostprogs-y	:= gen_crc32table
clean-files	:= crc32table.h

$(obj)/crc32.o: $(obj)/crc32table.h

quiet_cmd_crc32 = GEN     $@
      cmd_crc32 = $< > $@

$(obj)/crc32table.h: $(obj)/gen_crc32table
	$(call cmd,crc32)

=== kernel/ltt/Makefile ===
#
# Makefile for the LTT objects.
#
obj-$(CONFIG_LTT)			+= ltt-core.o ltt-facilities.o facilities/ probes/
obj-$(CONFIG_LTT_USERSPACE_GENERIC)	+= ltt-syscall.o
obj-$(CONFIG_LTT_HEARTBEAT)		+= ltt-heartbeat.o
obj-$(CONFIG_LTT_TRACER)		+= ltt-tracer.o
obj-$(CONFIG_LTT_RELAY)			+= ltt-relay.o
obj-$(CONFIG_LTT_NETLINK_CONTROL)	+= ltt-control.o
obj-$(CONFIG_LTT_STATEDUMP)		+= ltt-statedump.o
obj-$(CONFIG_LTT_FACILITY_STACK)	+= ltt-stack.o

=== kernel/mv_usb_gadget/Makefile ===

# kernel sources
ifndef KSRC
KSRC  := .
endif

TOPDIR := $(KSRC)

ifeq ($(CONFIG_ARM),y)
MV_DIR = $(TOPDIR)/arch/arm/mach-feroceon
USB_API_DIR := $(MV_DIR)/Soc/usb
USB_PRV_DIR := $(MV_DIR)/Soc/usb_restricted
include $(MV_DIR)/config/mvRules.mk
endif 

ifeq ($(CONFIG_PPC),y)
MV_DIR = $(TOPDIR)/arch/ppc/platforms/Marvell
USB_API_DIR := $(MV_DIR)/Controller/usb
USB_PRV_DIR := $(MV_DIR)/Controller/usb_restricted
include $(MV_DIR)/db645xx/mvRules.make
endif 


USB_DEV_DIR := $(USB_PRV_DIR)/device

CFLAGS  += $(EXTRA_CFLAGS) -I$(USB_API_DIR)/api -I$(USB_PRV_DIR)/common -I$(USB_DEV_DIR)

OBJS        := mv_gadget.o ../$(USB_DEV_DIR)/mvUsbDevCh9.o ../$(USB_DEV_DIR)/mvUsbDevMain.o 	\
               ../$(USB_DEV_DIR)/mvUsbDevRecv.o ../$(USB_DEV_DIR)/mvUsbDevSend.o ../$(USB_DEV_DIR)/mvUsbDevUtl.o 	\
	       ../$(USB_DEV_DIR)/mvUsbHsDevUtl.o  ../$(USB_DEV_DIR)/mvUsbHsDevMain.o ../$(USB_DEV_DIR)/mvUsbHsDevCncl.o

mv_usb_gadget-objs := $(OBJS)
obj-m := mv_usb_gadget.o

=== kernel/mvl_patches/Makefile ===
#
# Makefile for the MV patches
#
obj-y := $(patsubst %.c,%.o,$(shell (cd $(srctree)/mvl_patches;ls *.c) 2>/dev/null))
p1-objs := $(patsubst %.c,%.o,$(shell (cd $(srctree)/mvl_patches;ls *-0[0-4]*.c) 2>/dev/null)) dummy.o
p2-objs := $(patsubst %.c,%.o,$(shell (cd $(srctree)/mvl_patches;ls *-0[5-9]*.c) 2>/dev/null)) dummy.o
p3-objs := $(patsubst %.c,%.o,$(shell (cd $(srctree)/mvl_patches;ls *-1[0-4]*.c) 2>/dev/null)) dummy.o
p4-objs := $(patsubst %.c,%.o,$(shell (cd $(srctree)/mvl_patches;ls *-1[5-9]*.c) 2>/dev/null)) dummy.o

obj-y := p1.o p2.o p3.o p4.o

=== kernel/scripts/Makefile ===
###
# scripts contains sources for various helper programs used throughout
# the kernel for the build process.
# ---------------------------------------------------------------------------
# kallsyms:      Find all symbols in vmlinux
# pnmttologo:    Convert pnm files to logo files
# conmakehash:   Create chartable
# conmakehash:	 Create arrays for initializing the kernel console tables

hostprogs-$(CONFIG_KALLSYMS)     += kallsyms
hostprogs-$(CONFIG_LOGO)         += pnmtologo
hostprogs-$(CONFIG_VT)           += conmakehash
hostprogs-$(CONFIG_PROM_CONSOLE) += conmakehash
hostprogs-$(CONFIG_IKCONFIG)     += bin2c
HOST_OS := $(shell uname)
ifneq ($(HOST_OS),SunOS)
ifdef CONFIG_LPPTEST
hostprogs-y      += testlpp
endif
endif
always		:= $(hostprogs-y)

subdir-$(CONFIG_MODVERSIONS) += genksyms
subdir-$(CONFIG_MODULES)     += mod

# Let clean descend into subdirs
subdir-	+= basic kconfig package

=== tools/net-tools-1.60/debian/changelog ===
net-tools (1.60-17) unstable; urgency=medium

  * arp.c: bus error on sparc64 with latest gcc fixed. (Closes: Bug#340384)

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 04 Dec 2005 05:47:05 +0100

net-tools (1.60-16) unstable; urgency=low

  * spelling fix to slattach(8) (Closes: Bug#326124 (patch by A.Costa)
  * inet.c: portability fix for 64bit.
  * comment cleanups to aliagn with 1.65 cvs
    * net-support.h, inet_sr.c, nstrcmp.c, arp.c, ether.h

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 24 Oct 2005 22:05:38 +0200

net-tools (1.60-15) unstable; urgency=low

  * minor formating fix to ifconfig(8)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 30 Jun 2005 21:49:52 +0200

net-tools (1.60-14) unstable; urgency=low

  * added iptables(8) in ifconfig(8) (thanks Toralf Förster)
  * more usage updates in ifconfig.8 (used upstream HEAD=1.11)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 30 Jun 2005 20:51:18 +0200

net-tools (1.60-13) unstable; urgency=low  Thu, 30 Jun 2005 20:49:57 +0200

  * X25 code compiles with 2.4 and 2.6 kernel headers (Closes: Bug#271678)
  * IMPORTANT: make ifconfig show alias interfaces in 2.6 again. 
  * resort media type array to match kernel (Closes: Bug#199920)

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 17 May 2005 01:28:51 +0200

net-tools (1.60-12) unstable; urgency=low

  * make TR hw address type work for new kernel (Closes: Bug #79462, #203400)
  * update-po uses msgmerge, new net-tools.pot (Closes: Bug: 271426)
  * de-support dontpub option in arp -? und arp.8 (Closes: Bug #203396)

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 16 May 2005 06:33:48 +0200

net-tools (1.60-11) unstable; urgency=low

  * spelling fixes (Closes: Bug #305640, #305638, 305637)
  * nameif.c avoid overflow by malicious kernel
  * avoid overflow of the TX-OK Column (Closes: Bug #308922)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 14 May 2005 01:48:45 +0200

net-tools (1.60-10) unstable; urgency=low

  * typo fix in po/de.po for german arp command output (Closes: Bug #176151)
  * added diagnostics messages to mii-tool.8 (Closes: Bug #239229)
  * new version of nstrcmp (Closes: Bug #226503)
  * enable EUI64 support
  * stadanrds version 3.6.1 (no changes)

 -- Bernd Eckenfels <ecki@debian.org>  Fri, 23 Apr 2004 00:57:20 +0200

net-tools (1.60-9) unstable; urgency=medium

  * debian/changelog: fixed in last entry fixed bug from 197925 to 197924
  * include linux/sockios.h for SIOCGMIIPHY definition (new style)
    which will fix MII reporting on 2.4 kernels. (Closes: Bug #133648)
    NOTE: this will now require root to work, it will also not work on
    older kernels.
  * Rene Engelhard's patch to make AF X25 compile with 2.6 headers (Closes: Bug #223091)

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 29 Dec 2003 13:42:20 +0100

net-tools (1.60-8) unstable; urgency=medium

  * lib/interface.c: backed off change which skipped reading ioctl 
    interfacelist, if _proc interfacelist was ok, which does not work,
    because alias interfaces are only in ioctl list available. It is 
    also falling back to the original lib/nstrcml.c because the
    comparision if : is present does not work.
    (Closes: bug #197924, #197582, #197269)
  * bumped standards version (no changes)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 28 Jun 2003 02:56:38 +0200

net-tools (1.60-7) unstable; urgency=low

  * interfaces.c: cvs version fixes Connectiva Bug #5711 (Closes: #149576)
    from Eduardo Pereira Habkost
  * netstat.c: cvs version adds support for tcp6,udp6,icmp6 protocols
  * netstat.c: cvs version adds support for -4 or -6 cmd line shortcut
  * netstat.c: cvs version adds fix for inode 
    signedness (Closes: #134600, #78932)
  * ifconfig: removed -i from usage (Closes: #181528)
  * make gcc 3.3 happy: added ull unsigned long long prefix to constant
  * lib/ddp_gr.c+pathnames.h: first support for appletalk routing from cvs
  * lib/eui64.c+hw.c+Makefile: forst support for new hw type from cvs
  * lib/interface.c: cvs fix for column run-into (Closes: #161080)
  * lib/irda.c,lib/ipx.c: cvs update
  * lib/nstrcmp.c: new, faster version, fixes b-lookups for ifconfig
  * hostanme.c: gcc 3.3 fix from cvs (not compiled in net-tools.deb)
  * lib/interface: fixed memory globbering
    (Closes: #135744, #149579, #185187)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 12 Jun 2003 05:44:38 +0200

net-tools (1.60-6) unstable; urgency=low

  * took route.c from upstream cvs: allow -6 and -4 option
  * took statistics.c from upstream cvs: more complete netstat -S
  * took README from upstream cvs: fix COPYING file title and removed
    the line (Closes: #102139)
  * took arp.c from upstream: fixed name "PUB", better not found handling,
    implicite proxy arp mac changed from '*' to '<from_interface>',
    usage line made shorter
  * added mii-tool in control file (Closes: #172473)
  * fixed description of binary multiple in man page (Closes: #182487)
  * fixed interpunctation in netstat(8) (Closes: #191660)
  * fixed compile warning in inet_sr.c by removing empty default: label in
    switch

 -- Bernd Eckenfels <ecki@debian.org>  Wed, 28 May 2003 22:35:12 +0200

net-tools (1.60-5) unstable; urgency=low

  * thanks Andrew for the 4.1 NMU
  * NMU: Apply nameif patch from Matt Domsch. (Closes: #178209)
  * Fix FTB bug (string concatenation in gcc 3.3) (Closes: #194995)
  * Fix segfault in mii-tool by using cvs version (Closes: #139027)
  * fixed plural of authors to make lintian happy (I JOIN YOU :)

 -- Bernd Eckenfels <ecki@debian.org>  Wed, 28 May 2003 22:04:14 +0200

net-tools (1.60-4.1) unstable; urgency=low

  * NMU
  * Apply nameif patch from Matt Domsch. (Closes: #178209)

 -- Andrew Suffield <asuffield@debian.org>  Wed,  9 Apr 2003 21:44:09 +0100

net-tools (1.60-4) unstable; urgency=medium

  * fixed (upstream) spurious newline in ifconfig
    Thanks Jonathen, Closes: Bug #109379
  * fixed SI-Units printout in ifconfig (Closes: Bug #110629, #97029, #100167)


=== tools/netkit-base-0.17/debian/changelog ===
netkit-base (0.17-0.1.ipv6rel4pre1.1) unstable; urgency=low

  * New upstream release (NMU)
  * Applied IPv6 patch (ftp://ftp.ferrara.linux.it/pub/ipv6/)

 -- Takuo KITAME <kitame@northeye.org>  Mon, 18 Jun 2001 13:25:28 +0900

netkit-base (0.10-8) unstable; urgency=low

  * Remove dh_suidregister, etc. (Closes: Bug#83022, Bug#84827)
  * Remove netkit-rpc, which is now in libc6

  * Include both sys/time.h and time.h so we can build. (Closes: Bug#96807) 
    We should probably switch from times()/CLK_TCK to clock()/CLOCKS_PER_SEC
    or something. Fun fun fun.

  * Fix ping on alpha. How? We don't try stuffing a timeval in the
    transmitted packet; instead we do what the comments claim we
    do (roughly): we convert the timeval struct into two four byte
    network-byte-order-ulongs, and transmit them. This should avoid any
    portability problems, on arches that require longs to be something
    other than 8 byte aligned, eg.  (Closes: Bug#69333, Bug#70595,
    Bug#72307, Bug#95017, Bug#82733, Bug#86884)

 -- Anthony Towns <aj@azure.humbug.org.au>  Fri,  8 Jun 2001 13:01:20 +1000

netkit-base (0.10-6) unstable; urgency=high

  * Fixed unterminated buffer bug (strncpy is used, but the resultant
    string may not be NUL terminated, and it's later printf'ed) in ping.
    Probably not exploitable.

 -- Anthony Towns <aj@azure.humbug.org.au>  Mon,  8 Jan 2001 13:26:10 +1000

netkit-base (0.10-5) unstable; urgency=low

  * Remove the --exec arguments from inetd's init.d script, so that it can
    be stopped/restarted in the postinst, after the running binary has
    been updated. Kill any additional leftover inetd processes left
    from previous, buggy, netbases in case the admin hasn't already done
    so. (Closes: Bug#69397)

  * Mark cron.daily/netkit-inetd as a conffile.

 -- Anthony Towns <ajt@debian.org>  Sun, 31 Dec 2000 13:47:13 +1000

netkit-base (0.10-4) unstable; urgency=low

  * Removed superfluous build-time dependency on debconf-utils. No idea
    at all why that was there.

  * debian/templates: Added Italian translation, thanks to Eugenia
    Franzoni, from netbase bug report 64219.

 -- Anthony Towns <ajt@debian.org>  Thu, 28 Dec 2000 17:00:40 +1000

netkit-base (0.10-3) unstable; urgency=low

  * When replacing netbase, inetd gets started, but didn't get stopped. It
    gets stopped now. (Closes: Bug#68855, Bug#69030).
  * With the previous version's postinst fix, I should be able to also say:
    (Closes: Bug#68898, Bug#68871)
  * Change reference to /etc/init.d/netbase to /etc/init.d/inetd in
    inetd.8. Thanks to Alex Romosan for spotting this. (Closes: Bug#68850)

 -- Anthony Towns <ajt@debian.org>  Thu, 17 Aug 2000 13:58:13 +1000

netkit-base (0.10-2) unstable; urgency=low

  * Fixed netkit-inetd postinst to refer to the netkit-inetd debconf
    question, not the old netbase one which no longer exists.
  * Revised history (s/Initial Release/Split from netbase/).

 -- Anthony Towns <ajt@debian.org>  Thu, 10 Aug 2000 13:06:08 +1000

netkit-base (0.10-1) unstable; urgency=low

  * Split from netbase.

 -- Anthony Towns <ajt@debian.org>  Sat,  5 Aug 2000 20:20:26 +1000

=== tools/openssh-4.4p1/debian/changelog ===
openssh (1:4.3p2-5) unstable; urgency=low

  * Remove ssh/insecure_telnetd check altogether (closes: #391081).
  * debconf template translations:
    - Update Danish (thanks, Claus Hindsgaul; closes: #390612).

 -- Colin Watson <cjwatson@debian.org>  Thu,  5 Oct 2006 09:04:19 +0100

openssh (1:4.3p2-4) unstable; urgency=high

  * Backport from 4.4p1 (since I don't have an updated version of the GSSAPI
    patch yet):
    - CVE-2006-4924: Fix a pre-authentication denial of service found by
      Tavis Ormandy, that would cause sshd(8) to spin until the login grace
      time expired (closes: #389995).
    - CVE-2006-5051: Fix an unsafe signal hander reported by Mark Dowd. The
      signal handler was vulnerable to a race condition that could be
      exploited to perform a pre-authentication denial of service. On
      portable OpenSSH, this vulnerability could theoretically lead to
      pre-authentication remote code execution if GSSAPI authentication is
      enabled, but the likelihood of successful exploitation appears remote.

  * Read /etc/default/locale as well as /etc/environment (thanks, RaphaÃ«l
    Hertzog; closes: #369395).
  * Remove no-longer-used ssh/insecure_rshd debconf template.
  * Make ssh/insecure_telnetd Type: error (closes: #388946).

  * debconf template translations:
    - Update Portuguese (thanks, Rui Branco; closes: #381942).
    - Update Spanish (thanks, Javier FernÃ¡ndez-Sanguino PeÃ±a;
      closes: #382966).

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Sep 2006 16:28:24 +0100

openssh (1:4.3p2-3) unstable; urgency=low

  * Document KeepAlive->TCPKeepAlive renaming in sshd_config(5) (closes:
    https://launchpad.net/bugs/50702).
  * Change sshd user's shell to /usr/sbin/nologin (closes: #366541).
    Introduces dependency on passwd for usermod.
  * debconf template translations:
    - Update French (thanks, Denis Barbier; closes: #368503).
    - Update Dutch (thanks, Bart Cornelis; closes: #375100).
    - Update Japanese (thanks, Kenshi Muto; closes: #379950).

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Jul 2006 00:12:36 +0100

openssh (1:4.3p2-2) unstable; urgency=low

  * Include commented-out pam_access example in /etc/pam.d/ssh.
  * On '/etc/init.d/ssh restart', create /var/run/sshd before checking the
    server configuration, as otherwise 'sshd -t' will complain about the
    lack of /var/run/sshd (closes: https://launchpad.net/bugs/45234).
  * debconf template translations:
    - Update Russian (thanks, Yuriy Talakan'; closes: #367143).
    - Update Czech (thanks, Miroslav Kure; closes: #367161).
    - Update Italian (thanks, Luca Monducci; closes: #367186).
    - Update Galician (thanks, Jacobo Tarrio; closes: #367318).
    - Update Swedish (thanks, Daniel Nylander; closes: #367971).

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 May 2006 09:14:27 +0100

openssh (1:4.3p2-1) unstable; urgency=low

  * New upstream release (closes: #361032).
    - CVE-2006-0225: scp (as does rcp, on which it is based) invoked a
      subshell to perform local to local, and remote to remote copy
      operations. This subshell exposed filenames to shell expansion twice;
      allowing a local attacker to create filenames containing shell
      metacharacters that, if matched by a wildcard, could lead to execution
      of attacker-specified commands with the privilege of the user running
      scp (closes: #349645).
    - Add support for tunneling arbitrary network packets over a connection
      between an OpenSSH client and server via tun(4) virtual network
      interfaces. This allows the use of OpenSSH (4.3+) to create a true VPN
      between the client and server providing real network connectivity at
      layer 2 or 3. This feature is experimental.
    - Reduce default key length for new DSA keys generated by ssh-keygen
      back to 1024 bits. DSA is not specified for longer lengths and does
      not fully benefit from simply making keys longer. As per FIPS 186-2
      Change Notice 1, ssh-keygen will refuse to generate a new DSA key
      smaller or larger than 1024 bits.
    - Fixed X forwarding failing to start when the X11 client is executed in
      background at the time of session exit.
    - Change ssh-keygen to generate a protocol 2 RSA key when invoked
      without arguments (closes: #114894).
    - Fix timing variance for valid vs. invalid accounts when attempting
      Kerberos authentication.
    - Ensure that ssh always returns code 255 on internal error
      (closes: #259865).
    - Cleanup wtmp files on SIGTERM when not using privsep.
    - Set SO_REUSEADDR on X11 listeners to avoid problems caused by
      lingering sockets from previous session (X11 applications can
      sometimes not connect to 127.0.0.1:60xx) (closes:
      https://launchpad.net/bugs/25528).
    - Ensure that fds 0, 1 and 2 are always attached in all programs, by
      duping /dev/null to them if necessary.
    - Xauth list invocation had bogus "." argument.
    - Remove internal assumptions on key exchange hash algorithm and output
      length, preparing OpenSSH for KEX methods with alternate hashes.
    - Ignore junk sent by a server before it sends the "SSH-" banner.
    - Many manual page improvements.
    - Lots of cleanups, including fixes to memory leaks on error paths and
      possible crashes.
  * Update to current GSSAPI patch from
    http://www.sxw.org.uk/computing/patches/openssh-4.3p2-gsskex-20060223.patch
    (closes: #352042).
  * debian/rules: Resynchronise CFLAGS with that generated by configure.
  * Restore pam_nologin to /etc/pam.d/ssh; sshd no longer checks this itself
    when PAM is enabled, but relies on PAM to do it.
  * Rename KeepAlive to TCPKeepAlive in default sshd_config
    (closes: #349896).
  * Rephrase ssh/new_config and ssh/encrypted_host_key_but_no_keygen debconf
    templates to make boolean short descriptions end with a question mark
    and to avoid use of the first person.
  * Ship README.tun.


=== tools/openssl-0.9.8e/debian/changelog ===
openssl (0.9.8e-4) unstable; urgency=low

  * openssl should depend on libssl0.9.8 0.9.8e-1 since it 
    uses some of the defines that changed to functions.
    Other things build against libssl or libcrypto shouldn't 
    have this problem since they use the old headers.
    (Closes: #414283)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 10 Mar 2007 17:11:46 +0000

openssl (0.9.8e-3) unstable; urgency=low

  * Add nagios-nrpe-server to the list of services to be checked
    (Closes: #391188)
  * EVP_CIPHER_CTX_key_length() should return the set key length in the
    EVP_CIPHER_CTX structure which may not be the same as the underlying
    cipher key length for variable length ciphers.
    From upstream CVS.  (Closes: #412979)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun,  4 Mar 2007 23:22:51 +0000

openssl (0.9.8e-2) unstable; urgency=low

  * Undo include changes that change defines into real functions,
    but keep the new functions in the library.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 25 Feb 2007 19:19:19 +0000

openssl (0.9.8e-1) unstable; urgency=low

  * New upstream release
    - Inludes security fixes for CVE-2006-2937, CVE-2006-2940,
      CVE-2006-3738, CVE-2006-4343 (Closes: #408902)
    - s_client now properly works with SMTP.  Also added support
      for IMAP.  (closes: #221689)
    - Load padlock modules (Closes: #345656, #368476)
  * Add clamav-freshclam and clamav-daemon to the list of service that
    need to be restarted.  (Closes: #391191)
  * Add armel support.  Thanks to Guillem Jover <guillem.jover@nokia.com>
    for the patch.  (Closes: #407196)
  * Add Portuguese translations.  Thanks to Carlos Lisboa.  (Closes: 408157)
  * Add Norwegian translations.  Thanks to Bjørn Steensrud
    <bjornst@powertech.no> (Closes: #412326)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 25 Feb 2007 18:06:28 +0000

openssl (0.9.8c-4) unstable; urgency=low

  * Add German debconf translation.  Thanks to
    Johannes Starosta <feedback-an-johannes@arcor.de> (Closes: #388108)
  * Make c_rehash look for both .pem and .crt files.  Also make it support
    files in DER format.  Patch by "Yauheni Kaliuta" <y.kaliuta@gmail.com>
    (Closes: #387089)
  * Use & instead of && to check a flag in the X509 policy checking.
    Patch from upstream cvs.  (Closes: #397151)
  * Also restart slapd for security updates (Closes: #400221)
  * Add Romanian debconf translation.  Thanks to
    stan ioan-eugen <stan.ieugen@gmail.com> (Closes: #393507)

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 30 Nov 2006 20:57:46 +0000

openssl (0.9.8c-3) unstable; urgency=low

  * Fix patch for CVE-2006-2940, it left ctx unintiliased.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon,  2 Oct 2006 18:05:00 +0200

openssl (0.9.8c-2) unstable; urgency=high

  * Fix security vulnerabilities (CVE-2006-2937, CVE-2006-2940,
    CVE-2006-3738, CVE-2006-4343).  Urgency set to high.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 27 Sep 2006 21:24:55 +0000

openssl (0.9.8c-1) unstable; urgency=low

  * New upstream release
    - block padding bug with compression now fixed upstream, using
      their patch.
    - Includes the RSA Signature Forgery (CVE-2006-4339) patch.
    - New functions AES_bi_ige_encrypt and AES_ige_encrypt:
      bumping shlibs to require 0.9.8c-1.
  * Change the postinst script to check that ntp is installed instead
    of ntp-refclock and ntp-simple.  The binary is now in the ntp
    package.
  * Move the modified rand/md_rand.c file to the right place,
    really fixing #363516.
  * Add partimage-server conserver-server and tor to the list of service
    to check for restart.  Add workaround for openssh-server so it finds
    the init script.  (Closes: #386365, #386400, #386513)
  * Add manpage for c_rehash.
    Thanks to James Westby <jw+debian@jameswestby.net> (Closes: #215618)
  * Add Lithuanian debconf translation.
    Thanks to Gintautas Miliauskas <gintas@akl.lt>  (Closes: #374364)
  * Add m32r support.
    Thanks to Kazuhiro Inaoka <inaoka.kazuhiro@renesas.com>
    (Closes: #378689)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 17 Sep 2006 14:47:59 +0000

openssl (0.9.8b-3) unstable; urgency=high

  * Fix RSA Signature Forgery (CVE-2006-4339) using patch provided
    by upstream.
  * Restart services using a smaller version that 0.9.8b-3, so
    they get the fixed version.
  * Change the postinst to check for postfix instead of postfix-tls.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue,  5 Sep 2006 18:26:10 +0000

openssl (0.9.8b-2) unstable; urgency=low

  * Don't call gcc with -mcpu on i386, we already use -march, so no need for
    -mtune either.
  * Always make all directories when building something:
    - The engines directory didn't get build for the static directory, so
      where missing in libcrypo.a
    - The apps directory didn't always get build, so we didn't have an openssl
      and a small part of the regression tests failed.
  * Make the package fail to build if the regression tests fail.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 15 May 2006 16:00:58 +0000

openssl (0.9.8b-1) unstable; urgency=low

  * New upstream release
    - New functions added (EVP_CIPHER_CTX_new, EVP_CIPHER_CTX_free), bump shlibs.
    - CA.pl/CA.sh now calls openssl ca with -extensions v3_ca, setting CA:TRUE
      instead of FALSE.
    - CA.pl/CA.sh creates crlnumber now.  (Closes: #347612)
  * Run debconf-updatepo, which really already was in the 0.9.8a-8 version
    as it was uploaded.
  * Add Galician debconf translation.  Patch from
    Jacobo Tarrio <jtarrio@trasno.net>  (Closes: #361266)
  * libssl0.9.8.postinst makes uses of bashisms (local variables)
    so use #!/bin/bash
  * libssl0.9.8.postinst: Call set -e after sourcing the debconf
    script.
  * libssl0.9.8.postinst: Change list of service that may need
    to be restarted:
    - Replace ssh by openssh-server
    - Split postgresql in postgresql-7.4 postgresql-8.0 postgresql-8.1
    - Add: dovecot-common bind9 ntp-refclock ntp-simple openntpd clamcour


=== tools/samba-3.0.14a/debian/changelog ===
samba (3.0.14a-4) unstable; urgency=high

  * Last-minute upload for sarge, because I don't listen to anything
    that RM guy says
  * Patch smbmount to strip CAP_UNIX out of the capabilities passed to
    the kernel when uid, gid, dmask, or fmask options have been
    specified; this keeps the mount permissions from changing out from
    under the user when upgrading to a server (or to a kernel) that 
    supports unix extensions.  Closes: #310982.
  * Second patch to smbclient search continuation logic, from upstream:
    preserve the original UCS2 filename to guard against lossy
    conversions, and break out if we find ourselves looping.
    Closes: #311157.
  * Upstream fix to make print job cancellations work on big-endian
    systems when talking to RAP-style clients (i.e., smbclient).
    Closes: #311213.
  * Add build-dependency on libpopt-dev, so that we consistently use the
    system popt lib instead of the bundled one.

 -- Steve Langasek <vorlon@debian.org>  Thu,  2 Jun 2005 07:02:46 -0700

samba (3.0.14a-3) unstable; urgency=high

  * Urgency set to high for a bug that makes smbclient/libsmbclient
    /almost/ mostly unusable
  * Fix smbclient's search continuation logic so that it works correctly
    against 2K servers offering VFAT-hosted shares; many thanks to
    Jeremy Allison for the timely upstream fix.  Closes: #309798.
  * Update pt_BR debconf translation.  Thanks to Andre Luis Lopes
    <andrelop@debian.org>. (closes: #308510)
  * Add Russian debconf translation, thanks to Yuriy Talakan
    <yt@amur.elektra.ru>. (closes: #310063)

 -- Steve Langasek <vorlon@debian.org>  Thu, 26 May 2005 23:37:57 -0700

samba (3.0.14a-2) unstable; urgency=low

  * Point the sense of the file_is_special() check right way around;
    thanks to Matthijs Mohlmann for catching this.  Closes: #305747.
  * debian/patches/dos7-xcopy-always-copies-files.patch:
    Fix the MS-DOS 7 XCOPY copying files over and over bug
    Closes: #309003
  * Steve Langasek <vorlon@debian.org>:
    - Add Christian Perrier to Uploaders:.  Thanks, Christian :)

 -- Steve Langasek <vorlon@debian.org>  Sun,  8 May 2005 04:43:21 -0700

samba (3.0.14a-1) unstable; urgency=low

  * New upstream version
    - A more complete upstream fix for missing files in file listings,
      should really give us working (closes: #302771); drop
      xp-missing-files.patch, which has been superseded.
  * Use the right path when removing mount.cifs binary in the clean
    target.  Closes: #303318.

 -- Steve Langasek <vorlon@debian.org>  Mon, 18 Apr 2005 03:22:29 -0700

samba (3.0.11-1) unstable; urgency=high

  * New upstream version
    - Fixes duplicated entry in swat(8) manpage (closes: #292957).
    - Fix queue handling so that processes serving print clients don't
      spin off into infinity and clobber the system (closes: #274969).
    - Make sure we use C-locale toupper/tolower functions for case
      conversion, since Turkish pairing rules are incompatible
      (closes: #286174).
  * Fix logrotate script to exit true instead of false when nmbd.pid is
    missing (closes: #287263).
  * Added Portuguese debconf translation. Thanks to Miguel Figueiredo
    <elmig@debianpt.org>. (closes: #286375)
  * Added Italian debconf translation. Thanks to Luca Monducci
    <luca.mo@tiscali.it>. (closes: #284125)
  * Add support for building on the Debian BSD and Hurd ports; thanks to
    Robert Millan for the patch. (closes: #266693)
  * debian/patches/xp-missing-files.patch: import patch from upstream to
    fix missing entries in directory listings when talking to WinXP
    servers (closes: #297771).

 -- Steve Langasek <vorlon@debian.org>  Wed, 23 Mar 2005 00:13:16 -0800

samba (3.0.10-1) unstable; urgency=high

  * New upstream release.
    - CAN-2004-1154: integer overflow can lead to remote code execution
      by authenticated users; closes: #286023.
  * High-urgency upload for sarge-targetted RC bugfix.  
  * Sync the fhs.patch to samba 3.0.10.
  * Install mount.cifs suid root, to make user mounts possible
    (closes: #283819).
  * debian/patches/cups.patch: Change the default printing system, so we
    can compile in CUPS support without making it the default -- CUPS is
    not a reasonable default on Debian, at least for sarge.

 -- Steve Langasek <vorlon@debian.org>  Fri, 17 Dec 2004 11:56:01 -0800

samba (3.0.9-1) unstable; urgency=low

  * New upstream release
    - Fixes Win9x printing; closes: #283530, #282571, #283818.
    - Fixes a problem with setting dosmodes on filesystems without ACL
      support; closes: #283661.
    - Drop ldapsam_compat.patch, redundant now that a fix is integrated
      upstream

 -- Steve Langasek <vorlon@debian.org>  Thu,  2 Dec 2004 01:11:39 -0800

samba (3.0.8-2) unstable; urgency=low

  * Fix the module paths for python2.3-samba so that "import foo from samba"
    works, and include the __init__.py glue; closes: #222867).
  * Enable quota support; closes: #246839.
  * Fix missing symbols in libsmbclient (and libnss_wins), and add
    -Wl,-z,defs to the libsmbclient link options to prevent future
    instances of undefined symbols (closes: #281181).
  * Fix for the legacy ldapsam_compat backend; thanks to Fabien
    Chevalier for the patch (closes: #274155).

 -- Steve Langasek <vorlon@debian.org>  Mon, 15 Nov 2004 06:54:13 -0800

samba (3.0.8-1) unstable; urgency=high

  * New upstream package. Urgency set to "high" because of a potential
    Denial of Service vulnerability in previous 3.0.x releases
    (CAN-2004-0930). (Eloy)
  * Introduce new -dbg package, so we can make better sense out of the
    cleverly-supplied backtrace emails. (Vorlon)
  * Applied patch from Luke Mewburn <luke@mewburn.net> to fix missing
    lock_path() to state_path() change in the FHS patches. (Eloy)

 -- Eloy A. Paris <peloy@debian.org>  Mon,  8 Nov 2004 13:39:34 -0500

samba (3.0.7-2) unstable; urgency=high

  * High-urgency upload for sarge-targetted RC fixes.


=== tools/stunnel-3.26/debian/changelog ===
stunnel (2:3.26-2) unstable; urgency=low

  * Do not remove broken release file, it is not possible to handle 
    correctly broken release without risk to remove user configuration file
    (Closes: #242215)

 -- Julien Lemoine <speedblue@debian.org>  Wed,  7 Apr 2004 22:04:34 +0200

stunnel (2:3.26-1) unstable; urgency=low

  * New upstream release
  * Upgraded to debian policy 3.6.1
  * Added a 'Replaces: stunnel4' (file /usr/share/stunnel/stunnel.html
    is also in package stunnel4. Package stunnel4 2:4.04.0-4 fix this 
    problem).
  
 -- Julien LEMOINE <speedblue@debian.org>  Thu,  4 Sep 2003 13:08:03 +0200

stunnel (2:3.24-3) unstable; urgency=low

  * Fixed error in README.Debian (there is no more /etc/default/stunnel and
    /etc/init.d/stunnel)
  * Upgraded to debian policy 3.6.0
  
 -- Julien LEMOINE <speedblue@debian.org>  Thu, 21 Aug 2003 12:27:54 +0200

stunnel (2:3.24-2) unstable; urgency=low

  * Clean all trace of old stunnel package (/etc/default/stunnel, 
    /etc/init.d/stunnel and /etc/rc*/*stunnel)
    (Closes: #203225)

 -- Julien LEMOINE <speedblue@debian.org>  Mon, 28 Jul 2003 22:42:08 +0200

stunnel (2:3.24-1) unstable; urgency=low

  * Split stunnel package. Stunnel versions 4.x are now in stunnel4 packages
    and stunnel 3.x versions are now in stunnel package to keep backwards
    compatibility.
    (Closes: #199491)

 -- Julien LEMOINE <speedblue@debian.org>  Sat,  5 Jul 2003 23:10:12 +0200

stunnel (4.04-5) unstable; urgency=low

  * The "I need to sleep more to avoid making typos" release.
  * Fixed typos in default/init file (ENABLED instead of ENABLE)
    (Closes: #197958)
  * Commented all stunnel.conf file, client=no is the default value
    (Closes: #197961)

 -- Julien LEMOINE <speedblue@debian.org>  Thu, 19 Jun 2003 00:40:28 +0200

stunnel (4.04-4) unstable; urgency=low

  * Added /etc/default/stunnel with a variable ENABLE.
    ENABLE=0 by default since stunnel segv on some computer when all lines
    are commented (Closes: #197663, #197615)

 -- Julien LEMOINE <speedblue@debian.org>  Mon, 16 Jun 2003 22:04:17 +0200

stunnel (4.04-3) unstable; urgency=low

  * comment ldap sample (Closes: #197566)

 -- Julien LEMOINE <speedblue@debian.org>  Mon,  9 Jun 2003 15:03:41 +0200

stunnel (4.04-2) unstable; urgency=low

  * Fixed typo in init.d script (Closes: #197499)
  * Added a commented example in stunnel.conf from Craig Sanders

 -- Julien LEMOINE <speedblue@debian.org>  Sun, 15 Jun 2003 18:06:07 +0200

stunnel (4.04-1) unstable; urgency=low

  * New upstream release (Closes: #177532, Closes: 188137)
  * New maintainer
  * Stunnel has no more -L option (Closes: #120265)
  * Stunnel has no more -l option (Closes: #175844)
  * Shutdown(1) problem was fixed (Closes: #111125)
  * Problem with large data resolved (tested with a 5Mo file)
    (Closes: #112287)
  * Licence is now GPL version 2 with agreement to link with openssl
    (Closes: #147665)
  * stunnel can execute command (Closes: #147537)
  * added a lintian overwrite for libstunnel.so since it is compiled with
    -avoid-version
  * Fixed problem with path (/etc/ instead of $(prefix)/etc, ...)
  * Include default configuration file in /etc
  * Upgraded to debian policy 3.5.10
  * Added init.d file
  
 -- Julien LEMOINE <speedblue@debian.org>  Sat, 24 May 2003 02:30:20 +0200

stunnel (3.22-1) unstable; urgency=high

  * New upstream release (closes: bug#126627).
  * Typo fix in postinst (closes: bug#120199, bug#121904)

 -- Paolo Molaro <lupus@debian.org>  Sun, 30 Dec 2001 10:31:46 +0100

stunnel (3.21.c-1) unstable; urgency=low

  * New upstream release (Closes: bug#111139, bug#102834, bug#61427).
  * Avoid generating automatically the initial stunnel.pem, openssl cannot be
    reliably used in a non-interactive way (Closes: bug#60776, bug#98445). Info 
    on how to generate the certificate is now included in README.Debian.
  * There is support for (re)setting OOB data handling in the new upstream
    version (Closes: bug#107503).
  * Include the sample /etc/iniy.d/stunnel file as an example in the package
    (Closes: bug#114669).

 -- Paolo Molaro <lupus@debian.org>  Sat, 17 Nov 2001 12:31:04 +0100

stunnel (3.14-1) unstable; urgency=low

  * New upstream release
  * Actually compile it against the new libssl (Closes: #86916).

 -- Paolo Molaro <lupus@debian.org>  Fri, 23 Feb 2001 18:57:18 +0100

stunnel (3.13-1) unstable; urgency=low

  * New upstream release.
  * Recompile with and depend on libssl096 (Closes: #85000, #86385, #83857, #82500).
  * Already fixed in previous aborted upload (Closes: #82105, #77227, #80079, #76576).

 -- Paolo Molaro <lupus@debian.org>  Sun, 18 Feb 2001 21:30:50 +0100

stunnel (3.10-1) unstable; urgency=high

  * New upstream release.

 -- Paolo Molaro <lupus@debian.org>  Wed, 20 Dec 2000 15:14:08 +0100

stunnel (3.10-0potato1) stable; urgency=high

  * New upstream release.

 -- Paolo Molaro <lupus@debian.org>  Wed, 20 Dec 2000 13:07:35 +0100

stunnel (3.9-0potato1) stable; urgency=high

  * New upstream release: security fix (Closes: #80079, #76576).
  * Use correct dir for pid (Closes: #77227).

 -- Paolo Molaro <lupus@debian.org>  Wed, 20 Dec 2000 11:24:18 +0100

stunnel (3.8-1) unstable; urgency=low

  * New upstream version (Closes: #75117, #67010).
  * Read 1k of random data in a temp file (Closes: #69808).
  * Added a note in postrm about the stunnel.pem file that
    is left in /etc/ssl/certs: it is safer if the user deals with
    it since it may have been create by him and not stunnel (Closes: #57648).

 -- Paolo Molaro <lupus@debian.org>  Wed,  5 Jul 2000 16:43:07 +0000

stunnel (3.4a-6) unstable; urgency=low

  * Depends on openssl 0.9.4 (closes: bug#53947).

 -- Paolo Molaro <lupus@debian.org>  Tue,  4 Jan 2000 12:37:24 +0100

stunnel (3.4a-5) unstable; urgency=medium

  * Include upstream download info in copyright (closes: bug#53301).
  * Include example from Steve Haslam to make stunnel run from a
    init script (closes: bug#53300).



=== tools/sysvinit-2.86.ds1.orig/debian/changelog ===
sysvinit (2.86.ds1-1) unstable; urgency=low

  * New upload with a clean .orig.tar.gz archive without the .o files.
    No other changes from 2.86-5.  Used the .ds naming convention
    that is suggested for packages which need to have their
    docs removed (thanks, Marc Haber)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 10 Dec 2004 00:04:18 +0100

sysvinit (2.86-5) unstable; urgency=high

  * Remove leftover debugging "echo" that prevented
    /etc/init.d/mountnfs.sh from actually doing anything (closes: #270894)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 10 Sep 2004 16:57:34 +0200

sysvinit (2.86-4) unstable; urgency=high

  * Same upload, this time built without -sa so that original source
    isn't included (archive rejects it).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  8 Sep 2004 11:59:08 +0200

sysvinit (2.86-3) unstable; urgency=high

  * Upload of -3 to unstable so that -2 can go into testing-proposed-updates

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  6 Sep 2004 20:07:38 +0200

sysvinit (2.86-2) testing-proposed-updates; urgency=high

  * Remove .clean file before touching it; prevents symlink attack
    which in rare circumstances could result in random file creation
    (closes: #264234)
  * Do the above in a noclobber environment (Martin Pitt).
  * Don't mount network filesystems multiple times (closes: #264894)
  * Include .orig.tar.gz source in -2 again ("dpkg-buildpackage -sa") -
    the one that comes with -1 erronously includes .o files and
    binaries (oops!).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  6 Sep 2004 19:02:19 +0200

sysvinit (2.86-1) unstable; urgency=medium

  * Better algorithm for pidof (closes: #248210)
  * Include fsck.nfs.8 (closes: #250089)
  * Include new skeleton script (closes: #244908)
  * Better error message on failure to find path to mtab (closes: #255820)
  * Add support for fstype ncp (alias for ncpfs) (closes: #259971)
  * Touch /tmp/.clean earlier (closes: #255303)
  * Don't include halt and reboot for hurd-i386 (closes: #255880)
  * Remove XSIisms in mountvirtfs and invoke-rc.d (closes: #256726)
  * Add "-t $roottype" to mount -f for / (closes: #255849)
  * Always initialize PATH (to /bin:/usr/bin:/sbin:/usr/sbin) (closes: #258065)
  * Try harder to remount ro and rw (closes: #259979)
  * Add support for LABEL=/UUID= in checkroot.sh (closes: #261342)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 30 Jul 2004 14:17:05 +0200

sysvinit (2.85-22) unstable; urgency=medium

  * Fix typo in /etc/init.d/halt (closes: #255133)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 19 Jun 2004 12:40:12 +0200

sysvinit (2.85-21) unstable; urgency=medium

  * Create dependencies on glibc (>= 2.3.2.ds1-12) not through the
    shlibs.local hack anymore. That might clash with a future system
    shlibs file. Use the same method as we use to generate the
    mount dependency - with a script (closes: #253314).
  * In checkroot.sh always use the two-argument version of mount
    so that mount doesn't confuse device and directory (closes: #254724)
  * Change [ cond1 -a cond2 ] to [ cond1 ] && [ cond2 ] everywhere.
  * Fix mountvirtsfs, it broke for virtual filesystems mentioned in
    fstab without any options (closes: #254271)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 18 Jun 2004 13:43:55 +0200

sysvinit (2.85-20) unstable; urgency=low

  * Create /dev/pts in mountvirtfs for Linux + devfs (closes: #252625)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  7 Jun 2004 13:45:12 +0200

sysvinit (2.85-19) unstable; urgency=low

  * Create /dev/{pts,shm} and /sys in postinst (closes: #252820, #252925)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  7 Jun 2004 13:30:31 +0200

sysvinit (2.85-18) unstable; urgency=medium

  * Fix typo in /etc/init.d/single (closes: #252611)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  4 Jun 2004 14:38:55 +0200

sysvinit (2.85-17) unstable; urgency=low

  * On Debian/k*BSD, dmesg is in /sbin (closes: #252518)
  * On Debian/k*BSD, RB_HALT_SYSTEM is called RB_HALT
  * RB_POWEROFF can be RB_POWER_OFF (closes: #252547, #252598)
  * Add /sys, /dev/pts and /dev/shm to sysvinit. Remove the
    mkdir's for those directories from mountvirtfs.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  4 Jun 2004 11:51:46 +0200

sysvinit (2.85-16) unstable; urgency=high

  * Remove /etc/init.d/{mountkernfs,devpts.sh) that glibc installed
    since mountvirtfs now provides these. (closes: #230857)
  * Remove -e from mountvirtfs (closes: #232122)
  * Add some more comments/documentation to mountvirtfs
  * Initscripts depends on libc6 anyway right now, so we let it
    depend on libc6 (>= 2.3.2.ds1-12) via shlibs.local
  * Suggest sysv-rc-conf (closes: #244643)
  * Updated french manpage for update-rc.d (closes: #245007)
  * Use larger dmesg buffer (-s option) (closes: #242923)
  * Fix up comments in /etc/default/tmpfs (closes: #245681)
  * Added GNU/Hurd and kFreeBSD fixes (closes: #246743)
  * Run mountvirtfs again at S36 so that it mounts /proc/bus/usb in
    case usb was loaded as a module (closes: #249031)
  * Don't mkdir /dev/pts if it's not there - and don't mount devpts
    filesystem on it either in that case. Should help udev.
  * mountvirtfs now uses the options from /etc/fstab (closes: #251016)
  * add filesystem type "cifs" as network fs (closes: #248919)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  3 Jun 2004 20:03:33 +0200

sysvinit (2.85-15) unstable; urgency=high

  * Drop bogus dependency on fileutils (closes: #241570)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  5 Apr 2004 17:07:24 +0200

sysvinit (2.85-14) unstable; urgency=high

  * When remounting "/", just use "mount -n -o remount,rw /" and don't
    bother with the device or other arguments - "mount" will look up the
    root device in /etc/fstab, but the device argument to the mount


=== tools/udev-0.105.orig/debian/changelog ===
udev (0.105-4) unstable; urgency=high

  * Added support for the $ROOTDELAY variable in the initramfs.
    Patch contributed by David Härdeman. (Closes: #414842)
  * Fixed libdir in libvolume_id.pc. (Closes: #415744)
  * permissions.rules: backported the upstream changeset
    188394ce8eb235b67226f9166dfe7ca958387e6a which makes udevd wait for
    0:0:0:0 SCSI devices only.
  * permissions.rules: use group cdrom for WORM SCSI devices too.
  * permissions.rules: added kvm group kvm.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Mar 2007 03:44:45 +0100

udev (0.105-3) unstable; urgency=high

  * persistent.rules: added backported rules for nst* and sg* tape changers.
  * New debconf translations: nl. (Closes: #408176, #412551)

 -- Marco d'Itri <md@linux.it>  Sat,  3 Mar 2007 22:02:51 +0100

udev (0.105-2) unstable; urgency=high

  * postinst: try again fixing #404476. (Closes: #409503)
  * hotplug.rules: do not check for the existence of $RULES_FILE in
    find_all_rules(). (Closes: #408750, #405845, #406948)
  * write_cd_rules: fixed unintended shell expansion in find_next_available().
    (Closes: #407738)
  * permissions.rules: use group tape for SCSI media changers.
    (Closes: #406843)
  * hotplug.rules: load ch for SCSI media changers. (Closes: #406869)
  * permissions.rules: ignore the removable flag for aacraid devices.
    (See #404927.)
  * Added to README.Debian a note about generation of persistent names
    rules. (Closes: #411394)
  * cd-aliases-generator.rules: by default create "by-id" rules for USB
    and Firewire devices which usually do not have a stable path.
    (Closes: #395962)
  * Backported the upstream changeset 7db33ac19c430c9a4c4af415e2febbd6b17aff2a
    which fixes access to attribute files containing a colon.

 -- Marco d'Itri <md@linux.it>  Mon, 26 Feb 2007 01:35:50 +0100

udev (0.105-1) unstable; urgency=medium

  * New upstream release, contains only bug fixes. Fixes:
    + typos. (Closes: #408752)
    + intermittent troubles when renaming interfaces. (Closes: #405775)
  * Removed the following patches which were merged upstream:
    fix_serial_short raid_endianess_fix m32r_syscalls selinux_fix.
  * Backported the upstream changeset 5ab2e3c2c3efe9b25861ddf560b3760b9384090d
    which adds the LUN to iSCSI paths. (Closes: #409385)
  * Backed out the upstream changeset 273bebdba66cd5543dc1b076447e3275c81c221c
    which removed compatibility support for the DRIVER key.
  * Raised the dependency on module-init-tools to 3.2.2-1, which provides
    the --use-blacklist option.
  * hotplug.rules: call modprobe with the --use-blacklist option to allow
    blacklisting the broken by design aliases generated by the platform
    device drivers. (Closes: #407256)
  * persistent.rules: ignore md* devices because their add events are
    unreliable.
  * New debconf template: nl. (Closes: #410737)

 -- Marco d'Itri <md@linux.it>  Mon, 19 Feb 2007 03:56:43 +0100

udev (0.103-2) unstable; urgency=medium

  * permissions.rules: consider all block devices on usb, ieee1394, mmc
    and pcmcia buses to be removable. (Closes: #402622, #402649)
  * Added patch selinux_fix from Russell Coker to correctly label
    symlinks. Already applied upstream. (Closes: #401695)
  * Added patch m32r_syscalls by Kazuhiro Inaoka to fix inotify support
    on m32r systems. Already applied upstream. (Closes: #401826)
  * initramfs.premount premount: create the db directory before starting
    udevd, to catch some early kernel-generated events (this has no
    practical effect since the events will be immediately retriggered).
    Apply the same change to the init script. (Closes: #402320)
  * persistent-net-generator.rules: ignore ath* devices with type=802
    because they have the same MAC address of the "normal" interface and
    cause write_net_rules to write a new bogus rule every time.
    (Closes: #404983)
  * net.agent: improve robustness by checking sysfs instead of the ifstate
    file and removing the timeout. Patch and testing by Joey Hess.
    (Closes: #403804, #403805)
  * postinst: deal correctly with pipes and sockets in subdirectories of
    /dev when being installed for the first time. (Closes: #404476)
  * New patch raid_endianess_fix backported from upstream udev 104.
  * New debconf templates: da, es, pt_BR, gl, ja, cs.
    (Closes: #400789, #402924, #402927, #403547, #404577, #405316, #405834)

 -- Marco d'Itri <md@linux.it>  Mon,  8 Jan 2007 02:41:01 +0100

udev (0.103-1) unstable; urgency=medium

  * New upstream release.
  * permissions.rules: detect upper case Epson scanners too. (Closes: #392580)
  * permissions.rules: fix the permissions of the partitions of removable
    block devices. (Closes: #321642)
  * permissions.rules: added lirc[0-9]* group audio. (Closes: #396841)
  * permissions.rules: added rtc[0-9]* group audio. (Closes: #395160)
  * permissions.rules: added tun mode 666, for recent kernels.
  * persistent.rules: ignore gnbd* devices.
  * persistent.rules: added links for MMC devices.
  * persistent.rules: create disk/by-id/ata-* links for IDE devices
    controlled by libata.
  * hotplug.rules: autoload the mmc-block driver.
  * hotplug.rules: do not attempt to autoload i82365 because it's broken
    and may cause a modprobe loop (see #398962 for details).
  * udev.rules, devfs.rules: stop suppressing creation of dm-* devices,
    because they are needed by HAL. (Closes: #392623)
  * udev.rules, devfs.rules: run PROGRAMs only for "add" ACTIONs.
  * hotplug.rules: removed call to ide.agent from the udeb. (Closes: #396933)
  * Added a new 020_id.rules file with calls to cdrom_id for the udeb.
    (Closes: #400258)
  * Create the kernel-upgrade flag file also in the debconf upgrade path,
    or the new udevd will be started (and fail).
  * write_net_rules: document that MAC addresses must be written in
    lowercase. (Closes: #389743)
  * Set the SELinux contexts for devices created in the initramfs.
    (Closes: #397528)


=== tools/net-tools-1.60/debian/control ===
Source: net-tools
Section: net
Priority: important
Build-Depends: debhelper, gettext
Maintainer: Bernd Eckenfels <ecki@debian.org>
Standards-Version: 3.6.1

Package: net-tools
Architecture: any
Depends: ${shlibs:Depends}
Replaces: netbase (<< 4.00)
Description: The NET-3 networking toolkit
 This package includes the important tools for controlling the network
 subsystem of the Linux kernel.  This includes arp, ifconfig, netstat, 
 rarp, nameif and route.  Additionally, this package contains utilities
 relating to particular network hardware types (plipconfig, slattach, 
 mii-tool) and advanced aspects of IP configuration (iptunnel, ipmaddr).
 .
 In the upstream package 'hostname' and friends are included. Those are
 not installed by this package, since there is a special "hostname*.deb".

=== tools/netkit-base-0.17/debian/control ===
Source: netkit-base
Section: net
Priority: standard
Maintainer: Anthony Towns <ajt@debian.org>
Standards-Version: 3.5.4
Build-Depends: debhelper (>= 3.0.15)

Package: netkit-inetd
Architecture: any
Depends: ${shlibs:Depends}
Suggests: debconf
Replaces: netbase (<< 4.00)
Description: The Internet Superserver
 The inetd server is a network daemon program that specializes in managing
 incoming network connections. It's configuration file tells it what
 program needs to be run when an incoming connection is received. Any
 service port may be configured for either of the tcp or udp protcols.

Package: netkit-ping
Architecture: any
Depends: ${shlibs:Depends}
Provides: ping
Conflicts: ping, suidmanager (<< 0.50)
Replaces: netbase (<< 4.00)
Description: The ping utility from netkit
 The ping command sends ICMP ECHO_REQUEST packets to a host in order to
 test if the host is reachable via the network.

=== tools/openssh-4.4p1/debian/control ===
Source: openssh
Section: net
Priority: standard
Maintainer: Matthew Vernon <matthew@debian.org>
Build-Depends: libwrap0-dev | libwrap-dev, zlib1g-dev | libz-dev, libssl-dev (>= 0.9.8-1), libpam0g-dev | libpam-dev, libgnomeui-dev (>= 2.0.0) | libgnome-dev, libedit-dev, groff, debhelper (>= 5.0.22), sharutils, libselinux1-dev [alpha amd64 arm armeb hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 sparc], libkrb5-dev
Standards-Version: 3.7.2
Uploaders: Colin Watson <cjwatson@debian.org>

Package: openssh-client
Architecture: any
Depends: ${shlibs:Depends}, ${debconf-depends}, adduser (>= 3.10), dpkg (>= 1.7.0), passwd
Conflicts: ssh (<< 1:3.8.1p1-9), sftp, rsh-client (<<0.16.1-1), ssh-krb5
Replaces: ssh (<< 1:3.8.1p1-9), ssh-krb5
Suggests: ssh-askpass, xbase-clients
Provides: rsh-client, ssh-client
Description: Secure shell client, an rlogin/rsh/rcp replacement
 This is the portable version of OpenSSH, a free implementation of
 the Secure Shell protocol as specified by the IETF secsh working
 group.
 .
 Ssh (Secure Shell) is a program for logging into a remote machine
 and for executing commands on a remote machine.
 It provides secure encrypted communications between two untrusted
 hosts over an insecure network.  X11 connections and arbitrary TCP/IP
 ports can also be forwarded over the secure channel.
 It is intended as a replacement for rlogin, rsh and rcp, and can be
 used to provide applications with a secure communication channel.
 .
 This package provides the ssh, scp and sftp clients, the ssh-agent
 and ssh-add programs to make public key authentication more convenient,
 and the ssh-keygen, ssh-keyscan, ssh-copy-id and ssh-argv0 utilities.
 .
 --------------------------------------------------------------------
 .
 In some countries it may be illegal to use any encryption at all
 without a special permit.

Package: openssh-server
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${debconf-depends}, ${pam-depends}, libpam-modules (>= 0.72-9), adduser (>= 3.9), dpkg (>= 1.9.0), openssh-client (= ${Source-Version})
Conflicts: ssh (<< 1:3.8.1p1-9), ssh-nonfree (<<2), ssh-socks, ssh2, sftp, rsh-client (<<0.16.1-1), ssh-krb5
Replaces: ssh (<< 1:3.8.1p1-9), openssh-client (<< 1:3.8.1p1-11), ssh-krb5
Suggests: ssh-askpass, xbase-clients, rssh
Provides: ssh-server
Description: Secure shell server, an rshd replacement
 This is the portable version of OpenSSH, a free implementation of
 the Secure Shell protocol as specified by the IETF secsh working
 group.
 .
 Ssh (Secure Shell) is a program for logging into a remote machine
 and for executing commands on a remote machine.
 It provides secure encrypted communications between two untrusted
 hosts over an insecure network.  X11 connections and arbitrary TCP/IP
 ports can also be forwarded over the secure channel.
 It is intended as a replacement for rlogin, rsh and rcp, and can be
 used to provide applications with a secure communication channel.
 .
 This package provides the sshd server.
 .
 --------------------------------------------------------------------
 .
 In some countries it may be illegal to use any encryption at all
 without a special permit.

Package: ssh
Priority: extra
Architecture: all
Depends: openssh-client, openssh-server
Description: Secure shell client and server (transitional package)
 This is a transitional package depending on both the OpenSSH client and
 the OpenSSH server, which are now in separate packages. You may remove
 it once the upgrade is complete and nothing depends on it.

Package: ssh-askpass-gnome
Section: gnome
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, openssh-client | ssh (>= 1:1.2pre7-4) | ssh-krb5
Replaces: ssh (<< 1:3.5p1-3)
Provides: ssh-askpass
Description: under X, asks user for a passphrase for ssh-add
 This has been split out of the main ssh package, so that the ssh will
 not need to depend upon the Gnome libraries.
 .
 You probably want the ssh-askpass package instead, but this is
 provided to add to your choice and/or confusion.

Package: openssh-client-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, libnss-files-udeb
XB-Installer-Menu-Item: 999
Description: Secure shell client for the Debian installer
 This is the portable version of OpenSSH, a free implementation of
 the Secure Shell protocol as specified by the IETF secsh working
 group.
 .
 This package provides the ssh client for use in debian-installer.

Package: openssh-server-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, libnss-files-udeb
Description: Secure shell server for the Debian installer
 This is the portable version of OpenSSH, a free implementation of
 the Secure Shell protocol as specified by the IETF secsh working
 group.
 .
 This package provides the sshd server for use in debian-installer.
 Since it is expected to be used in specialized situations (e.g. S/390
 installs with no console), it does not provide any configuration.

=== tools/openssl-0.9.8e/debian/control ===
Source: openssl
Build-Depends: debhelper (>= 5.0.22), binutils (>= 2.14.90.0.7), zlib1g-dev, m4, bc
Section: utils
Priority: optional
Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>
Standards-Version: 3.7.0

Package: openssl
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, libssl0.9.8 (>= 0.9.8e-1)
Conflicts: ssleay (<< 0.9.2b)
Suggests: ca-certificates
Description: Secure Socket Layer (SSL) binary and related cryptographic tools
 This package contains the openssl binary and related tools.
 .
 It is part of the OpenSSL implementation of SSL.
 .
 You need it to perform certain cryptographic actions like:
  o  Creation of RSA, DH and DSA Key Parameters
  o  Creation of X.509 Certificates, CSRs and CRLs
  o  Calculation of Message Digests
  o  Encryption and Decryption with Ciphers
  o  SSL/TLS Client and Server Tests
  o  Handling of S/MIME signed or encrypted Mail

Package: libssl0.9.8
Section: libs
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: ssleay (<< 0.9.2b), libssl, openssl (<< 0.9.6-2), libssl096-dev (<< 0.9.6-2)
Description: SSL shared libraries
 libssl and libcrypto shared libraries needed by programs like
 apache-ssl, telnet-ssl and openssh.
 .
 It is part of the OpenSSL implementation of SSL.

Package: libcrypto0.9.8-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libssl0.9.8
Description: crypto shared library - udeb
 libcrypto shared library.
 .
 Do not install it on a normal system.

Package: libssl-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libssl0.9.8 (= ${Source-Version}), zlib1g-dev
Conflicts: ssleay (<< 0.9.2b), libssl08-dev, libssl09-dev, libssl095a-dev, libssl096-dev
Description: SSL development libraries, header files and documentation
 libssl and libcrypt development libraries, header files and manpages
 .
 It is part of the OpenSSL implementation of SSL.

Package: libssl0.9.8-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libssl0.9.8 (= ${Source-Version})
Description: Symbol tables for libssl and libcrypt
 This package is part of the OpenSSL implementation of SSL.

=== tools/samba-3.0.14a/debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Eloy A. Paris <peloy@debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 4.1.13), libpam0g-dev, libreadline4-dev, libcupsys2-dev (>=1.1.20final+cvs20040330-4), autoconf, libacl1-dev (>= 2.2.11-1) [alpha arm hppa i386 ia64 m68k mips mipsel powerpc s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64 amd64], libkrb5-dev, libldap2-dev, po-debconf, python2.3-dev, binutils (>= 2.14.90.0.7), type-handling (>= 0.2.1), libpopt-dev
Standards-Version: 3.5.10

Package: samba
Architecture: any
Depends: samba-common (= ${Source-Version}), netbase, logrotate, ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-13.1), libpam-modules
Replaces: samba-common (<= 2.0.5a-2)
Suggests: samba-doc
Description: a LanManager-like file and printer server for Unix
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the components necessary to turn your
 Debian GNU/Linux box into a powerful file and printer server.
 .
 Currently, the Samba Debian packages consist of the following:
 .
  samba - LanManager-like file and printer server for Unix.
  samba-common - Samba common files used by both the server and the client.
  smbclient - LanManager-like simple client for Unix.
  swat - Samba Web Administration Tool
  samba-doc - Samba documentation.
  smbfs - Mount and umount commands for the smbfs (kernels 2.2.x and above).
  libpam-smbpass - pluggable authentication module for SMB password database
  libsmbclient - Shared library that allows applications to talk to SMB servers
  libsmbclient-dev - libsmbclient shared libraries
  winbind: Service to resolve user and group information from Windows NT servers
  python2.3-samba: Python bindings that allow access to various aspects of Samba
 .
 It is possible to install a subset of these packages depending on
 your particular needs. For example, to access other SMB servers you
 should only need the smbclient and samba-common packages.

Package: samba-common
Architecture: any
Depends: debconf, libpam-modules, ${shlibs:Depends}
Replaces: samba (<< 2.999+3.0.alpha21-4)
Description: Samba common files used by both the server and the client
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains the common files that are used by both the server
 (provided in the samba package) and the client (provided in the smbclient
 package).

Package: smbclient
Architecture: any
Depends: samba-common (= ${Source-Version}), ${shlibs:Depends}
Replaces: samba (<< 2.999+3.0.alpha21-4)
Provides: samba-client
Suggests: smbfs
Description: a LanManager-like simple client for Unix
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains some client components of the Samba suite. In
 particular it includes the command line utilities smbclient, smbtar,
 and smbspool. If you want to mount shares exported from Microsoft
 Windows machines or a Samba server you must install the smbfs package.

Package: swat
Architecture: any
Depends: debconf, samba (= ${Source-Version}), ${shlibs:Depends}
Recommends: samba-doc
Description: Samba Web Administration Tool
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains the components of the Samba suite that are needed
 for Web administration of the Samba server.
 .
 Note: if you want to use the on-line documentation that is accesible
 through the Swat front-end you must install the samba-doc package.

Package: samba-doc
Section: doc
Architecture: all
Description: Samba documentation
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the documentation that comes in the original
 tarball.

Package: smbfs
Section: otherosfs
Priority: optional
Architecture: any
Depends: netbase (>= 2.02), samba-common (= ${Source-Version}), ${shlibs:Depends}
Suggests: smbclient
Replaces: smbfsx
Conflicts: smbfsx, suidmanager (<< 0.50)
Description: mount and umount commands for the smbfs (for kernels >= than 2.2.x)
 Smbfs is a filesystem which understands the SMB protocol.
 This is the protocol Windows for Workgroups, Windows NT or
 LAN Manager use to talk to each other. It was inspired by
 samba, the program by Andrew Tridgell that turns any unix
 site into a file server for DOS or Windows clients.
 .
 If you want to use command-line utilities like smbclient, smbtar
 and/or smbspool you just need to install the smbclient package.
 .
 Starting with the Debian Samba packages version 2.2.0-1, the old smbfs
 utilities for 2.0.x have been removed. There are no wrapper scripts
 that call a specific smbmount/smbumount depending on the kernel
 version.  If you are using a 2.0.x kernel please upgrade or use the
 latest Samba 2.0.7 Debian package.

Package: libpam-smbpass
Section: admin
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Suggests: samba
Description: pluggable authentication module for SMB password database
 This is a stackable PAM module that allows a system administrator to easily
 migrate to using encrypted passwords for Samba and to keep smb passwords in
 sync with unix passwords.  Unlike other solutions, it does this without
 requiring users to change their existing passwords or login to Samba using
 cleartext passwords.

Package: libsmbclient
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: shared library that allows applications to talk to SMB servers
 libsmbclient allows to write applications that use the SMB protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains the libsmbclient shared library.

Package: libsmbclient-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libsmbclient (= ${Source-Version})
Description: libsmbclient static libraries and headers
 libsmbclient allows to write applications that use the SMB protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains the libsmbclient static libraries and headers
 needed to build applications that use SMB services.

Package: winbind
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: samba (<= 2.2.3-2)
Description: service to resolve user and group information from Windows NT servers
 This package provides the winbindd daemon, which provides a
 service for the Name Service Switch capability that is present
 in most modern C libraries (like the GNU C Library - glibc.)
 .
 The service provided by winbindd is called `winbind' and
 can be used to resolve user and group information from a
 Windows NT server. The service can also provide authentication
 services via an associated PAM module.

Package: python2.3-samba
Section: python
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, python2.3
Description: Python bindings that allow access to various aspects of Samba
 The Samba Python bindings allow you to access various aspects of Samba.
 At the moment their status is "experimental" but they have been reported
 to work well.
 .
 See /usr/share/doc/python2.3-samba/examples for a couple of examples.

Package: samba-dbg
Section: devel
Architecture: any
Depends: samba (= ${Source-Version})
Description: Samba debugging symbols
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains debugging symbols for the programs included in
 the samba and smbclient packages.

=== tools/stunnel-3.26/debian/control ===
Source: stunnel
Section: net
Priority: optional
Build-Depends: debhelper(>=4), libssl-dev, openssl, libwrap0-dev, sdf,
	       autotools-dev
Maintainer: Julien Lemoine <speedblue@debian.org>
Standards-Version: 3.6.1

Package: stunnel
Architecture: any
Depends: ${shlibs:Depends}, openssl, netbase
Replaces: stunnel4
Description: Universal SSL tunnel for network daemons
 The stunnel program is designed to work  as  SSL  encryption
 wrapper between remote client and local (inetd-startable) or
 remote server. The concept is that having non-SSL aware daemons
 running  on  your  system you can easily setup them to
 communicate with clients over secure SSL channel.
 .
 stunnel can be used to add  SSL  functionality  to  commonly
 used  inetd  daemons  like  POP-2,  POP-3  and  IMAP servers
 without any changes in the programs' code.

=== tools/sysvinit-2.86.ds1.orig/debian/control ===
Source: sysvinit
Section: base
Priority: required
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 3.5.2.0
Build-Depends: bash

Package: sysvinit
Essential: yes
Architecture: any
Pre-Depends: ${shlibs:Depends}, initscripts, sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0)
Depends: coreutils
Conflicts: last
Replaces: last, bsdutils (<=2.0-2)
Description: System-V like init
 Init is the first program to run after your system is booted, and
 continues to run as process number 1 until your system halts. Init's
 job is to start other programs that are essential to the operation of
 your system. All processes are descended from init. For more information,
 see the manual page init(8).

Package: sysv-rc
Architecture: all
Conflicts: file-rc
Replaces: dpkg (<< 1.9.17), sysvinit (<< 2.85-1), file-rc (>> 0.7.0)
Suggests: sysv-rc-conf
Description: Standard boot mechanism using symlinks in /etc/rc?.d
 This package provides support for the System-V like system of booting,
 shutting down and changing runlevels configured through symbolic
 links in the /etc/rc?.d directories.

Package: initscripts
Architecture: any
Depends: ${shlibs:Depends}, ${glibc:Depends}, dpkg (>= 1.9.0), ${mount:Depends}, util-linux (>= 2.9t-2), e2fsprogs (>= 1.19-1), coreutils (>= 5.0.91-2)
Replaces: sysvinit (<< 2.85-12), libc6, libc6.1, libc0.1, libc0.3
Conflicts: kbd (<< 0.95-2), mdutils (<< 0.35-9)
Description: Standard scripts needed for booting and shutting down
 These scripts are meant for standard Debian/GNU/Linux installations.

=== tools/udev-0.105.orig/debian/control ===
Source: udev
Section: admin
Priority: important
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 4.2), bzip2, libselinux1-dev (>= 1.28-1), po-debconf
Standards-Version: 3.7.2.2

Package: udev
Architecture: any
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Replaces: initramfs-tools (<= 0.41)
Conflicts: hotplug, initscripts (<< 2.85-16), lvm-common (<< 1.5.13), module-init-tools (<< 3.2.2-1), initramfs-tools (<< 0.39), hal (<< 0.5.6-2), makedev (<< 2.3.1-80), klibc-utils (<= 1.4.19-1)
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.

Package: libvolume-id0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: libvolume_id shared library
 This library is used to detect the type of a file system and read its
 metadata.

Package: libvolume-id-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, libvolume-id0 (= ${Source-Version})
Description: libvolume_id development headers
 This package provides the static libraries and header files needed
 to link programs with libvolume_id.

Package: udev-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time. It replaces
 the hotplug package and requires a kernel not older than 2.6.12.
 .
 This is a minimal version for use in debian-installer.

=== tools/net-tools-1.60/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	cp debian/config.h config.h
	cp debian/config.make config.make
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clobber
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) update BASEDIR=`pwd`/debian/tmp
	mv debian/tmp/sbin/arp debian/tmp/usr/sbin/arp
	# we don't want man pages for domainname and friends... (yet)
	rm -rf debian/tmp/usr/share/man/*/man1/ debian/tmp/usr/share/man/man1/
	# we don't install local manpages until policy is clear
	rm -rf debian/tmp/usr/share/man/*_*/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -isp
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== tools/netkit-base-0.17/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr --installroot=`pwd`/debian/tmp

build: configure
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install BASEDIR=`pwd`/debian/tmp

	install -o root -g root -m 755 debian/inetd.init.d debian/tmp/etc/init.d/inetd
	dh_movefiles
	rmdir --ignore-fail-on-non-empty `find debian/tmp/ -type d`

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	chmod u+s debian/netkit-ping/bin/ping
	dh_installdeb
#	dh_makeshlibs
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch # no -indep

.PHONY: build clean binary-indep binary-arch binary install configure

=== tools/openssh-4.4p1/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPTFLAGS := -O2
else
OPTFLAGS := -O0
endif

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

ifeq (,$(wildcard /usr/bin/po2debconf))
PO2DEBCONF := no
MINDEBCONFVER := 0.5
else
PO2DEBCONF := yes
MINDEBCONFVER := 1.2.0
endif

# We need a new libpam-runtime for sane PAM handling
# (http://lists.debian.org/debian-devel-announce-0308/msg00012.html).
# Unfortunately it's hard to detect during the build whether this is
# appropriate, so woody-compatibility is a pain. I've had to punt and go for
# a DEB_BUILD_SSH_WOODY environment variable. We can remove this hack once
# we no longer care about woody.
ifeq ($(DEB_BUILD_SSH_WOODY),)
PAMSUBST := no
PAMDEP := libpam-runtime (>= 0.76-14)
else
PAMSUBST := yes
PAMDEP := libpam-runtime
endif

# The Hurd needs libcrypt for res_query et al.
ifeq ($(DEB_HOST_ARCH_OS),hurd)
FORCE_LIBS := LIBS=-lcrypt
endif

# SELinux support?
ifeq ($(DEB_HOST_ARCH_OS),linux)
SELINUX := --with-selinux
endif

# Change the version string to include the Debian version
SSH_EXTRAVERSION := Debian-$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/Version: //p' | sed -e 's/[^-]*-//')

build: build-deb build-udeb

build-deb: build-deb-stamp
build-deb-stamp:
	dh_testdir
	mkdir -p build-deb
	cd build-deb && $(FORCE_LIBS) ../configure --prefix=/usr --sysconfdir=/etc/ssh --libexecdir=/usr/lib/openssh --mandir=/usr/share/man --with-tcp-wrappers --with-xauth=/usr/bin/X11/xauth --with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games --with-superuser-path=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11 --with-pam --with-4in6 --with-privsep-path=/var/run/sshd --without-rand-helper --with-libedit --with-kerberos5=/usr $(SELINUX)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	# Some 2.2 kernels have trouble with setres[ug]id() (bug #239999).
	perl -pi -e 's/.*#undef (BROKEN_SETRES[UG]ID).*/#define $$1 1/' build-deb/config.h
endif
	# Debian's /var/log/btmp has inappropriate permissions.
	perl -pi -e 's,.*#define USE_BTMP .*,/* #undef USE_BTMP */,' build-deb/config.h

	$(MAKE) -C build-deb -j 2 ASKPASS_PROGRAM='/usr/bin/ssh-askpass' CFLAGS='$(OPTFLAGS) -g -Wall -Wpointer-arith -Wuninitialized -Wsign-compare -Wno-pointer-sign -std=gnu99 -DLOGIN_PROGRAM=\"/bin/login\" -DLOGIN_NO_ENDOPT -DSSHD_PAM_SERVICE=\"ssh\" -DSSH_EXTRAVERSION="\" $(SSH_EXTRAVERSION)\""'
	# Support building on Debian 3.0 (with GNOME 1.4) and later.
	if [ -f /usr/include/libgnomeui-2.0/gnome.h ]; then \
		$(MAKE) -C contrib gnome-ssh-askpass2 CC='gcc $(OPTFLAGS) -g -Wall'; \
	elif [ -f /usr/include/gnome-1.0/gnome.h ]; then \
		$(MAKE) -C contrib gnome-ssh-askpass1 CC='gcc $(OPTFLAGS) -g -Wall'; \
	fi

	touch build-deb-stamp

build-udeb: build-udeb-stamp
build-udeb-stamp:
	dh_testdir
	mkdir -p build-udeb
	cd build-udeb && $(FORCE_LIBS) ../configure --prefix=/usr --sysconfdir=/etc/ssh --libexecdir=/usr/lib/openssh --without-xauth --with-default-path=/usr/local/bin:/usr/bin:/bin --with-superuser-path=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin --with-4in6 --with-privsep-path=/var/run/sshd --without-rand-helper
	# Debian's /var/log/btmp has inappropriate permissions.
	perl -pi -e 's,.*#define USE_BTMP .*,/* #undef USE_BTMP */,' build-udeb/config.h
	# Avoid libnsl linkage. Ugh.
	perl -pi -e 's/ +-lnsl//' build-udeb/config.status
	cd build-udeb && ./config.status
	$(MAKE) -C build-udeb -j 2 ASKPASS_PROGRAM='/usr/bin/ssh-askpass' CFLAGS='-Os -g -Wall -Wpointer-arith -Wuninitialized -Wsign-compare -Wno-pointer-sign -std=gnu99 -DSSH_EXTRAVERSION="\" $(SSH_EXTRAVERSION)\""' ssh scp sftp sshd ssh-keygen
	touch build-udeb-stamp

clean:
	dh_testdir
	rm -f build-deb-stamp build-udeb-stamp
	rm -rf build-deb build-udeb
	-$(MAKE) -C contrib clean
	rm -f config.log
ifeq ($(PO2DEBCONF),yes)
	# Hack for woody compatibility. This makes sure that the
	# debian/templates file shipped in the source package doesn't
	# specify encodings, which woody's debconf can't handle. If building
	# on a system with po-debconf installed (conveniently debhelper (>=
	# 4.1.16) depends on it), the binary-arch target will generate a
	# better version for sarge.
	echo '1 popular' > debian/po/output
	po2debconf debian/openssh-server.templates.master > debian/openssh-server.templates
	rm -f debian/po/output
endif
ifeq ($(PAMSUBST),yes)
	if [ -f debian/ssh.pam.new-style ]; then \
		mv debian/ssh.pam.new-style debian/ssh.pam; \
	fi
endif
	rm -f debian/ssh-askpass-gnome.png
	dh_clean

install: DH_OPTIONS=-a
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C build-deb DESTDIR=`pwd`/debian/openssh-client install-nokeys

	rm -f debian/openssh-client/etc/ssh/sshd_config
	#Temporary hack: remove /usr/share/Ssh.bin, since we have no smartcard support anyway.
	rm -f debian/openssh-client/usr/share/Ssh.bin

	# Split off the server.
	mv debian/openssh-client/usr/sbin/sshd debian/openssh-server/usr/sbin/
	mv debian/openssh-client/usr/lib/openssh/sftp-server debian/openssh-server/usr/lib/openssh/
	mv debian/openssh-client/usr/share/man/man5/sshd_config.5 debian/openssh-server/usr/share/man/man5/
	mv debian/openssh-client/usr/share/man/man8/sshd.8 debian/openssh-server/usr/share/man/man8/
	mv debian/openssh-client/usr/share/man/man8/sftp-server.8 debian/openssh-server/usr/share/man/man8/
	rmdir debian/openssh-client/usr/sbin debian/openssh-client/var/run/sshd

	install -m 755 contrib/ssh-copy-id debian/openssh-client/usr/bin/ssh-copy-id
	install -m 644 -c contrib/ssh-copy-id.1 debian/openssh-client/usr/share/man/man1/ssh-copy-id.1
	install -m 644 debian/moduli.5 debian/openssh-client/usr/share/man/man5/moduli.5

	if [ -f contrib/gnome-ssh-askpass2 ]; then \
		install -s -o root -g root -m 755 contrib/gnome-ssh-askpass2 debian/ssh-askpass-gnome/usr/lib/openssh/gnome-ssh-askpass; \
	elif [ -f contrib/gnome-ssh-askpass1 ]; then \
		install -s -o root -g root -m 755 contrib/gnome-ssh-askpass1 debian/ssh-askpass-gnome/usr/lib/openssh/gnome-ssh-askpass; \
	fi
	install -m 644 debian/gnome-ssh-askpass.1 debian/ssh-askpass-gnome/usr/share/man/man1/gnome-ssh-askpass.1
	uudecode -o debian/ssh-askpass-gnome/usr/share/pixmaps/ssh-askpass-gnome.png debian/ssh-askpass-gnome.png.uue

	install -m 755 debian/ssh-argv0 debian/openssh-client/usr/bin/ssh-argv0
	install -m 644 debian/ssh-argv0.1 debian/openssh-client/usr/share/man/man1/ssh-argv0.1

	install -o root -g root debian/openssh-server.init debian/openssh-server/etc/init.d/ssh
	install -o root -g root -m 644 debian/openssh-server.default debian/openssh-server/etc/default/ssh

	install -m 755 build-udeb/ssh debian/openssh-client-udeb/usr/bin/ssh
	install -m 755 build-udeb/scp debian/openssh-client-udeb/usr/bin/scp
	install -m 755 build-udeb/sftp debian/openssh-client-udeb/usr/bin/sftp
	install -m 755 build-udeb/sshd debian/openssh-server-udeb/usr/sbin/sshd
	install -m 755 build-udeb/ssh-keygen debian/openssh-server-udeb/usr/bin/ssh-keygen

# Build architecture-independent files here.
binary-indep: binary-ssh

# Build architecture-dependent files here.
binary-arch: binary-openssh-client binary-openssh-server
binary-arch: binary-ssh-askpass-gnome
binary-arch: binary-openssh-client-udeb binary-openssh-server-udeb

binary-openssh-client: DH_OPTIONS=-popenssh-client
binary-openssh-client: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs OVERVIEW README README.dns README.tun
	cat debian/copyright.head LICENCE > debian/openssh-client/usr/share/doc/openssh-client/copyright
	dh_installchangelogs ChangeLog

=== tools/openssl-0.9.8e/debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
SHELL=/bin/bash
export DH_COMPAT=3

package=openssl

# For generating the manpages
export VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | sed -e 's/^.*://' -e 's/-.*//')

# The binary architeture
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

CONFARGS  = --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 zlib
OPT_alpha = ev4 ev5
OPT_i386  = i486 i586 i686/cmov
OPT_sparc = v8 v9
ARCHOPTS  = OPT_$(DEB_HOST_ARCH)
OPTS      = $($(ARCHOPTS))
WANTED_LIBC_VERSION = 2.3.1-10

build:
	dh_testdir
	perl util/perlpath.pl /usr/bin
#	perl util/ssldir.pl /usr/lib/ssl
#	chmod +x debian/libtool
	./Configure no-shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
	make -f Makefile all
	make test
	mv libcrypto.a libcrypto.static
	mv libssl.a libssl.static
	make -f Makefile clean
	test -z "$(OPTS)" || for opt in $(OPTS); \
	do \
		set -xe; \
		./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)-$$opt; \
		make -f Makefile all; \
		make test; \
		mkdir -p $$opt; \
		mv libcrypto.so* libssl.so* $$opt/; \
		make -f Makefile clean; \
	done
	./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
	#make -f Makefile depend
	ln -sf apps/openssl.pod crypto/crypto.pod ssl/ssl.pod doc/
#	make -f Makefile linux-shared
	make -f Makefile all
	make test
#	strip apps/openssl
#	make -f Makefile clean
#	./Configure --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 debian-$(DEB_HOST_ARCH)
#	make -f Makefile all
	touch build

clean:
	dh_testdir
	dh_testroot
	-rm -f build
	-perl util/perlpath.pl /usr/bin
	-./Configure $(CONFARGS) debian-$(DEB_HOST_ARCH)
	-make -f Makefile  clean clean-shared
	#-make -f Makefile  dclean
	-perl util/perlpath.pl /usr/local/bin/perl
#	perl util/ssldir.pl /usr/local/ssl
	-rm -f test/.rnd test/testkey.pem test/testreq.pem test/certCA.srl
	-rm -f util/mk1mf.bak Makefile.bak `find . -name Makefile.save` 
	-rm -f crypto/pem/ctx_size
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.orig" -o -name "*.rej"`
	-rm -f certs/*.0 certs/*.1
#	-rm -rf debian/tmp debian/files* core `find debian/* -type d`
	-rm -rf core $(OPTS)
	-rm doc/*.pod
	-rm -f libcrypto.* libssl.*
	-cd test && rm -f .rnd tmp.bntest tmp.bctest *.o *.obj lib tags core .pure .nfs* *.old *.bak fluff bntest ectest  ecdsatest ecdhtest ideatest md2test  md4test md5test hmactest rc2test rc4test rc5test destest shatest sha1test sha256t sha512t mdc2test rmdtest randtest dhtest enginetest bftest casttest ssltest exptest dsatest rsa_test evp_test *.ss *.srl log dummytest newkey.pem
	dh_clean

binary-indep:	build
	dh_testdir
	dh_testroot
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean
#	-rm -rf debian/tmp `find debian/* -type d`
	install -d debian/tmp debian/libssl0.9.8 debian/libssl-dev
#	cd debian/tmp && install -d `cat ../dirs`
#	cd debian/libssl09 && install -d `cat ../libssl09.dirs`
#	cd debian/libssl09-dev && install -d `cat ../libssl09-dev.dirs`
	dh_installdirs
#openssl install
	make -f Makefile  install INSTALL_PREFIX=`pwd`/debian/tmp
#	rm debian/tmp/usr/share/man/man1/openssl.1
#	rm debian/tmp/usr/share/man/man3/crypto.3
#	rm debian/tmp/usr/share/man/man3/ssl.3
#	rm debian/tmp/usr/lib/libcrypto.a
#	rm debian/tmp/usr/lib/libssl.a
	# pic static libraries, nobody should need them
#	mv debian/tmp/usr/lib/libcrypto.a debian/tmp/usr/lib/libcrypto_pic.a
#	mv debian/tmp/usr/lib/libssl.a debian/tmp/usr/lib/libssl_pic.a
	cp -pf libcrypto.static debian/tmp/usr/lib/libcrypto.a
	cp -pf libssl.static debian/tmp/usr/lib/libssl.a
#	mv debian/tmp/usr/lib/ssl/bin debian/tmp/usr/bin/ssl
#	(cd debian/tmp/usr/lib/ssl; ln -s /usr/bin/ssl bin)
#	mv debian/tmp/usr/lib/ssl/include debian/tmp/usr/include/ssl
#	(cd debian/tmp/usr/lib/ssl; ln -s /usr/include/ssl include)
#	chmod -x debian/tmp/usr/lib/*.so.*
#	mv debian/tmp/usr/lib/*.a debian/libssl09-dev/usr/lib/
#	mv debian/tmp/usr/lib/*.so debian/libssl09-dev/usr/lib/
#	mv debian/tmp/usr/lib/*.so.*.*.* debian/libssl09/usr/lib/
#	mv debian/tmp/usr/lib/*.la debian/libssl09-dev/usr/lib/
#	mv debian/tmp/usr/include debian/libssl09-dev/usr/
	mkdir -p debian/tmp/etc/ssl
	mv debian/tmp/usr/lib/ssl/{certs,openssl.cnf,private} debian/tmp/etc/ssl/
	ln -s /etc/ssl/{certs,openssl.cnf,private} debian/tmp/usr/lib/ssl/
	cp -pf debian/tmp/usr/lib/libcrypto.so.* debian/libcrypto0.9.8-udeb/usr/lib/
	cp -auv lib*.so* debian/tmp/usr/lib/
#	cp -auv lib*.a debian/tmp/usr/lib/
	for opt in $(OPTS); do set -xe; mkdir -p debian/tmp/usr/lib/$$opt; cp -auv $$opt/lib*.so* debian/tmp/usr/lib/$$opt/; done
	install debian/copyright debian/libssl0.9.8/usr/share/doc/libssl0.9.8/
	install debian/changelog debian/libssl0.9.8/usr/share/doc/libssl0.9.8/changelog.Debian
	install debian/copyright debian/libssl-dev/usr/share/doc/libssl-dev/
	install debian/changelog debian/libssl-dev/usr/share/doc/libssl-dev/changelog.Debian
#	(cd debian/tmp/usr/doc/openssl/doc; for f in *.doc*; do mv "$$f" "$$(echo $$f | sed -e 's/doc/txt/')";done)
#	(cd doc; for f in *; do install "$$f" ../debian/tmp/usr/share/doc/openssl/doc/"$$(echo $$f | sed -e 's/doc/txt/')";done)
#	debstd -u CHANGES* LICENSE README NEWS

# Reverse the changes to the headers.
	patch -p0 -R < debian/header.diff

	dh_installdocs CHANGES.SSLeay README NEWS debian/README.optimization
	dh_installexamples
	dh_installchangelogs CHANGES
#	dh_installmenu
#	dh_installcron
	dh_installman -popenssl
	dh_installdebconf
#	dh_undocumented c_rehash.1
	dh_movefiles
#	rmdir debian/tmp/usr/lib/ssl/lib
#	rmdir debian/tmp/usr/include/openssl
#	rmdir debian/tmp/usr/include
#	for opt in $(OPTS); do set -xe; rm -fr debian/tmp/usr/lib/$$opt; done
	dh_compress
	chmod 700 debian/openssl/etc/ssl/private
	dh_fixperms -X etc/ssl/private
	dh_strip --dbg-package=libssl0.9.8
	dh_perl -d
#	dh_suidregister
	dh_makeshlibs -V "libssl0.9.8 (>= 0.9.8c-1)" --add-udeb="libcrypto0.9.8-udeb"
	dh_shlibdeps -L libssl0.9.8 -l debian/libssl0.9.8/usr/lib
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb
	echo -en "\a"

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

=== tools/samba-3.0.14a/debian/rules ===
#!/usr/bin/make -f
# 
# Important modifications (introduction of a saved config.cache to
#	solve build problems) introduced in Samba 2.2.1a-5. These
#	modification were made by Steve Langasek <vorlon@netexpress.net>.
#
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Set the host and build architectures for use with config.cache loading,
# cross-building, etc.
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_SYSTEM	:= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_BUILD_GNU_SYSTEM	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

export DEB_HOST_GNU_TYPE
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_SYSTEM
export DEB_BUILD_GNU_SYSTEM

# Support the DEB_BUILD_OPTIONS variable
CFLAGS = -gstabs -Wall
INSTALL = install

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL += -s
endif


DESTDIR=`pwd`/debian/tmp

conf_args = \
		--cache-file=./config.cache \
		--with-fhs \
		--enable-shared \
		--enable-static \
		--prefix=/usr \
		--sysconfdir=/etc \
		--libdir=/etc/samba \
		--with-privatedir=/etc/samba \
		--with-piddir=/var/run/samba \
		--localstatedir=/var \
		--with-netatalk \
		--with-pam \
		--with-syslog \
		--with-utmp \
		--with-readline \
		--with-pam_smbpass \
		--with-libsmbclient \
		--with-winbind \
		--with-msdfs \
		--with-automount \
		--with-tdbsam \
		--with-ldap \
		--with-python=python2.3

ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
  conf_args += \
		--with-smbmount \
		--with-acl-support \
		--with-quotas
  mount_cifs	= yes
  smbfs		= yes
else
  conf_args +=	--without-quotas
  mount_cifs	= no
  smbfs		= no
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  conf_args += --build $(DEB_HOST_GNU_TYPE)
else
  conf_args += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

patch: patch-stamp
patch-stamp:
	dh_testdir
	if [ ! -f patch-stamp ]; then /bin/sh debian/scripts/patch-source; fi
	touch patch-stamp

unpatch:
	dh_testdir
	if [ -f patch-stamp ]; then /bin/sh debian/scripts/unpatch-source; fi
	rm -f patch-stamp

configure: patch-stamp configure-stamp
configure-stamp:
	dh_testdir

	if [ -f debian/config.cache ]; then \
		cp -f debian/config.cache source/config.cache; \
	fi

	[ -f source/Makefile ] || (cd source && CFLAGS="$(CFLAGS)" ./configure $(conf_args))

	touch configure-stamp

build: patch-stamp configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE) -C source headers
	$(MAKE) -C source all nsswitch/libnss_wins.so python_ext
ifeq ($(mount_cifs),yes)
	$(MAKE) -C source client/mount.cifs
endif

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Clean first the Samba package
#	-$(MAKE) -C source realclean
#	-$(MAKE) -C source clean
	-$(MAKE) -C source python_clean distclean

	# Delete stuff left after a build that is not deleted by 'make clean'
	rm -f source/bin/wbinfo source/bin/winbindd source/bin/debug2html \
		source/bin/libsmbclient.a source/client/mount.cifs \
		source/include/stamp-h

	sed -e "s/@libacl@/`type-handling any linux-gnu`/g" \
		< debian/control.in > debian/control

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p $(DESTDIR)/usr/share/man $(DESTDIR)/usr/lib/samba \
	         $(DESTDIR)/lib/security $(DESTDIR)/sbin \
	         $(DESTDIR)/usr/lib/cups/backend $(DESTDIR)/usr/share/samba \
	         $(DESTDIR)/etc/pam.d $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d \
	         $(DESTDIR)/usr/lib/python2.3/site-packages/samba

	# Add here commands to install the package into debian/tmp.
	$(MAKE) -C source install DESTDIR=$(DESTDIR)

	# libsmbclient files are not installed by the standard
	#	'make install' - do it manually.
	$(MAKE) -C source installclientlib DESTDIR=$(DESTDIR)
	mv $(DESTDIR)/usr/lib/samba/libsmbclient.so $(DESTDIR)/usr/lib/samba/libsmbclient.so.0.1
	ln -s libsmbclient.so.0.1 $(DESTDIR)/usr/lib/samba/libsmbclient.so.0
	ln -s libsmbclient.so.0.1 $(DESTDIR)/usr/lib/samba/libsmbclient.so

	# Starting with Samba 3.0.6 libsmbclient.so is installed in
	# /usr/lib/samba. We don't want it there since it is not in the
	# default library path. Here we move it to /usr/lib/.
	mv $(DESTDIR)/usr/lib/samba/libsmbclient* \
		$(DESTDIR)/usr/lib/

	# Install other stuff not installed by "make install"
	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd

	# Install winbind stuff not installed by 'make install'
	install -m 0644 source/nsswitch/libnss_winbind.so \
		$(DESTDIR)/lib/libnss_winbind.so.2
	install -m 0644 source/nsswitch/pam_winbind.so \
		$(DESTDIR)/lib/security/

	# Install libnss_wins.so, which is not installed by 'make install' either.
	install -m 0644 source/nsswitch/libnss_wins.so \
		$(DESTDIR)/lib/libnss_wins.so.2

	# pam_smbpass.so isn't being installed by 'make install'.
	#	We'll move it here to $(DESTDIR)/lib/security/ and then
	#	libpam-smbpass.files will make dh_movefiles move it to the
	#	right location in the libpam-smbpass package.
	install -m 0644 source/bin/pam_smbpass.so $(DESTDIR)/lib/security/

ifeq ($(smbfs),yes)
	# Create the symlinks that will allow us to do "mount -t smbfs ..."
	# and "mount -t smb ...". Note that the source/script/installbin.sh
	# tries to create the first symlink, but we have commented
	# that code out and do everything here. We also create
	# symlinks for the man pages.
	ln -s /usr/bin/smbmount $(DESTDIR)/sbin/mount.smbfs
	ln -s /usr/bin/smbmount $(DESTDIR)/sbin/mount.smb
	ln -s smbmount.8 $(DESTDIR)/usr/share/man/man8/mount.smb.8
	ln -s smbmount.8 $(DESTDIR)/usr/share/man/man8/mount.smbfs.8
endif

ifeq ($(mount_cifs),yes)
	# Install mount.cifs and its man page
	install -m 04755 source/client/mount.cifs $(DESTDIR)/sbin/
	install -m 0644 docs/manpages/mount.cifs.8 $(DESTDIR)/usr/share/man/man8/
endif

	# For CUPS to support printing to samba printers, it's necessary
	#	to make the following symlink (according to
	#	Erich Schubert <debian@vitavonni.de> in #109509):
	ln -s ../../../bin/smbspool $(DESTDIR)/usr/lib/cups/backend/smb

	# Install man pages for files without man pages in the upstream sources
	install -m 0644 debian/mksmbpasswd.8 $(DESTDIR)/usr/share/man/man8/mksmbpasswd.8

	# We don't provide the "Using Samba" book in the swat package.
	# It's provided in the samba-doc package so in the swat package
	# we just provide a symlink to the real book.
	ln -s ../../doc/samba-doc/htmldocs/using_samba \
	      $(DESTDIR)/usr/share/samba/swat/using_samba

	# Delete unwanted stuff leftover from "make install"

	# The smbwrapper package is not being generated anymore, so we must
	#	delete the related man pages.
	rm $(DESTDIR)/usr/share/man/man1/smbsh.1

	# We're not providing findsmb (should we?) so let's remove the man
	#	pages.
	find debian/ -name 'findsmb*' -exec rm -f {} \;

	# Install samba-common's conffiles - they'll get moved later to their
	#	correct place by dh_movefiles.
	cp debian/smb.conf $(DESTDIR)/usr/share/samba/
	install -m755 debian/panic-action $(DESTDIR)/usr/share/samba/
	cp debian/gdbcommands $(DESTDIR)/etc/samba/
	cp debian/samba.pamd $(DESTDIR)/etc/pam.d/samba
	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d/samba

	# Install the Python modules
	#
	# Hmmm... need to figure this out. We have lib.linux-i686-2.2
	# and lib.linux-i686-2.3 directories. Using only the stuff from
	# the 2.3 directory for now. peloy.-
	#cp source/build/lib.*/samba/*.so $(DESTDIR)/usr/lib/python2.3/site-packages/
	cp source/build/lib.*-*-2.3/samba/*.so $(DESTDIR)/usr/lib/python2.3/site-packages/samba/
	cp source/python/samba/* $(DESTDIR)/usr/lib/python2.3/site-packages/samba/

	dh_movefiles

=== tools/stunnel-3.26/debian/rules ===
#!/usr/bin/make -f
#                                                       -*- makefile -*-
# debian/rules file for the Debian/GNU Linux stunnel package
# Copyright 2003 by Julien LEMOINE <speedblue@debian.org>

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr 			\
	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)	\
	  --localstatedir=/var --enable-ssllib-cs 			\
	  --with-cert-dir=/etc/ssl/certs --with-pem-dir=/etc/ssl/certs
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.cache stunnel.rnd stunnel.exe
	-$(MAKE) clean
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub &&                  \
          cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess &&                \
          cp -f /usr/share/misc/config.guess config.guess
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/stunnel/usr 		\
	  localstatedir=$(CURDIR)/debian/stunnel/var
	install -p -m 0644 $(CURDIR)/debian/lintian.overrides   	\
        $(CURDIR)/debian/stunnel/usr/share/lintian/overrides/stunnel
	cp -r doc/* $(CURDIR)/debian/stunnel/usr/share/doc/stunnel/
	rm -rf $(CURDIR)/debian/stunnel/man
	rm -rf $(CURDIR)/debian/stunnel/usr/man 			\
	  $(CURDIR)/debian/stunnel/var/var

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples ca.html ca.pl importCA.html			\
	  importCA.sh stunnel.cnf
	dh_installman stunnel.8
	dh_installchangelogs
	dh_link /usr/lib/libstunnel.so /usr/lib/libstunnel.so.3
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -l debian/stunnel/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== tools/sysvinit-2.86.ds1.orig/debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for sysvinit
#

tmp     = $(shell pwd)/debian/tmp
doc	= /usr/share/doc

SHELL	= /bin/bash
LC_ALL	= POSIX

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

LIBC6	= libc6
ifeq ($(DEB_HOST_ARCH), alpha)
LIBC6	= libc6.1
endif
ifeq ($(DEB_HOST_ARCH), ia64)
LIBC6	= libc6.1
endif

define checkdir
	test -f src/init.c
endef

build:
# Builds the binary package.
	$(checkdir)
	(cd src; make DISTRO=Debian)
	cc -Wall -s -o debian/readlink debian/readlink.c
	touch build

# Make a binary package (.deb file)
binary-arch:	build checkroot
	#
	#	Sysvinit.
	#
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)/usr/share/sysvinit
	install -d -g root -m 755 -o root $(tmp)/usr/include
	install -d -g root -m 755 -o root $(tmp)$(doc)/sysvinit
	install -g root -m 644 doc/Changelog $(tmp)$(doc)/sysvinit/changelog
	install -g root -m 644 debian/changelog \
		$(tmp)$(doc)/sysvinit/changelog.Debian
	install -g root -m 644 debian/README.runlevels \
		$(tmp)$(doc)/sysvinit
	gzip -9f $(tmp)$(doc)/sysvinit/{README.runlevels,changelog*}
	if test -e debian/share/inittab.$(DEB_HOST_GNU_TYPE) ; \
	then \
		install -g root -m 644 -o root \
			debian/share/inittab.$(DEB_HOST_GNU_TYPE) \
			$(tmp)/usr/share/sysvinit/inittab ; \
	elif test -e debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) ; \
	then \
		install -g root -m 644 -o root \
			debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) \
			$(tmp)/usr/share/sysvinit/inittab ; \
	else \
		install -g root -m 644 -o root debian/share/inittab \
			$(tmp)/usr/share/sysvinit/inittab ; \
	fi
	install -g root -m 755 -o root debian/share/update-rc.d \
		$(tmp)/usr/share/sysvinit
	install -d -g root -m 755 -o root $(tmp)/{bin,sbin,lib,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/bin
	install -d -g root -m 755 -o root $(tmp)/usr/sbin
	install -d -g root -m 755 -o root $(tmp)/usr/share/man
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man{1,5,8}
	(cd src; make ROOT=$(tmp) DISTRO=Debian install )
ifeq ($(DEB_HOST_ARCH), hurd-i386)
	# The Hurd has its own halt and reboot commands.
	rm -f $(tmp)/usr/share/man/man8/halt.8
	rm -f $(tmp)/usr/share/man/man8/reboot.8
	rm -f $(tmp)/sbin/halt
	rm -f $(tmp)/sbin/reboot
endif
	rm -f $(tmp)/usr/share/man/man1/mountpoint.1
	rm -f $(tmp)/bin/mountpoint
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
	install -g root -m 644 -o root debian/README \
	  $(tmp)$(doc)/sysvinit/copyright
	cat COPYRIGHT >> $(tmp)$(doc)/sysvinit/copyright
	install -g root -m 755 debian/postinst $(tmp)/DEBIAN/postinst
	dpkg-shlibdeps src/init
	dpkg-gencontrol -psysvinit -P$(tmp) -isp
	dpkg --build $(tmp) ..
	rm -rf $(tmp)
	#
	#	Initscripts.
	#
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr,sbin,lib}
	install -d -g root -m 755 -o root $(tmp)/lib/init
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)/usr/share/initscripts
	install -d -g root -m 755 -o root $(tmp)$(doc)/initscripts
	sed -ne '/sysvinit (2.84-3)/q' -e p < debian/changelog \
		> $(tmp)$(doc)/initscripts/changelog
	chmod 644 $(tmp)$(doc)/initscripts/changelog
	gzip -9f $(tmp)$(doc)/initscripts/*
	cp -af debian/initscripts/share/* $(tmp)/usr/share/initscripts
	cp -af debian/initscripts/etc/* $(tmp)/etc
	ln -sf bootlogd $(tmp)/etc/init.d/stop-bootlogd
	chmod 755 $(tmp)/etc/init.d/[a-z]*
	chmod 644 $(tmp)/etc/init.d/bootclean.sh
	chmod -R g-w $(tmp)
	chown -R root.root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/bin
	install -d -g root -m 755 -o root $(tmp)/etc/default
	install -d -g root -m 755 -o root $(tmp)/usr/share/man
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man1
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man5
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man8
	install -d -g root -m 755 -o root $(tmp)/var/lib/urandom
	install -g root -m 755 debian/initscripts/sbin/fsck.nfs \
		$(tmp)/sbin/fsck.nfs
	install -g root -m 755 debian/initscripts/man/fsck.nfs.8 \
		$(tmp)/usr/share/man/man8/fsck.nfs.8
	install -g root -m 644 debian/initscripts/rcS.5 \
		$(tmp)/usr/share/man/man5
	install -g root -m 755 src/mountpoint $(tmp)/bin
	install -g root -m 755 man/mountpoint.1 $(tmp)/usr/share/man/man1
	install -g root -m 755 debian/readlink $(tmp)/lib/init
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
	install -g root -m 644 -o root debian/initscripts/copyright \
	  $(tmp)$(doc)/initscripts/copyright
	install -g root -m 755 debian/initscripts/preinst  $(tmp)/DEBIAN
	install -g root -m 755 debian/initscripts/postinst $(tmp)/DEBIAN
	install -g root -m 644 -o root debian/initscripts/conffiles \
	  $(tmp)/DEBIAN/conffiles
	dpkg-shlibdeps debian/readlink
	sh debian/deps-mount >> debian/substvars
	sh debian/deps-glibc >> debian/substvars
	dpkg-gencontrol -pinitscripts -P$(tmp) -isp
	dpkg --build $(tmp) ..
	rm -rf $(tmp)


# Architecture independant files.
binary-indep:   build checkroot
	#
	#	sysv-rc
	#
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)$(doc)/sysv-rc
	sed -ne '/sysvinit (2.84-3)/q' -e p < debian/changelog \
		> $(tmp)$(doc)/sysv-rc/changelog
	chmod 644 $(tmp)$(doc)/sysv-rc/changelog
	install -g root -m 644 debian/sysv-rc/doc/* $(tmp)$(doc)/sysv-rc
	gzip -9f $(tmp)$(doc)/sysv-rc/*
	install -d -g root -m 755 -o root $(tmp)/etc/rc{0,1,2,3,4,5,6}.d
	cp -af debian/sysv-rc/etc/* $(tmp)/etc
	chmod 755 $(tmp)/etc/init.d/[a-z]*
	chmod -R go=u-w $(tmp)/etc
	chown -R root.root $(tmp)/etc
	install -d -g root -m 755 -o root $(tmp)/usr/sbin
	install -d -g root -m 755 -o root $(tmp)/usr/share/man
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man5
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man8
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/ja/man8
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/fr/man8
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/es/man8
	install -g root -m 644 debian/sysv-rc/man8/*.8 \
		$(tmp)/usr/share/man/man8
	install -g root -m 644 debian/sysv-rc/man8/ja/*.8 \
		$(tmp)/usr/share/man/ja/man8
	install -g root -m 644 debian/sysv-rc/man8/fr/*.8 \
		$(tmp)/usr/share/man/fr/man8
	install -g root -m 644 debian/sysv-rc/man8/es/*.8 \
		$(tmp)/usr/share/man/es/man8
	install -g root -m 755 debian/sysv-rc/sbin/invoke-rc.d $(tmp)/usr/sbin
	install -g root -m 755 debian/sysv-rc/sbin/update-rc.d $(tmp)/usr/sbin
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9] \
		 $(tmp)/usr/share/man/??/man*/*.[0-9]
	install -g root -m 644 -o root debian/sysv-rc/copyright \
	  $(tmp)$(doc)/sysv-rc/copyright
	install -g root -m 755 debian/sysv-rc/postinst $(tmp)/DEBIAN/postinst
	install -g root -m 755 debian/sysv-rc/postrm $(tmp)/DEBIAN/postrm
	dpkg-gencontrol -psysv-rc -P$(tmp) -isp
	dpkg --build $(tmp) ..
	rm -rf $(tmp)

clean:	checkroot
	(cd src; make clobber )
	rm -f build debian/files debian/substvars debian/readlink
	rm -rf $(tmp)
	find . -name '*.bak' -o -name '*~' | xargs -r rm -f --

binary: binary-arch binary-indep

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

=== tools/udev-0.105.orig/debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

BUILD_UDEB := 1
USE_SELINUX := true



include debian/scripts/vars

BUILD_DIR := $(SOURCE_DIR)/$(TAR_DIR)
B  := $(BUILD_DIR)
BU := $(BUILD_DIR)/udev-udeb
D  := $(CURDIR)/debian/udev
DU := $(CURDIR)/debian/udev-udeb
DL := $(CURDIR)/debian/libvolume-id0
DD := $(CURDIR)/debian/libvolume-id-dev

UEX := $D/usr/share/doc/udev/examples

DOCS := FAQ README RELEASE-NOTES TODO docs/writing_udev_rules/

MAKE_EXTRAS := extras/ata_id/ extras/cdrom_id/ extras/edd_id extras/path_id \
	extras/run_directory/ extras/scsi_id/ extras/usb_id/ extras/volume_id/

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(DEB_BUILD_ARCH),s390)
MAKE_EXTRAS += extras/dasd_id
endif

MAKE_VARIABLES := V=true EXTRAS=\"$(MAKE_EXTRAS)\"

ifndef BUILD_UDEB
NO_PACKAGE := --no-package=udev-udeb
endif

all: build

unpack: $(STAMP_DIR)/unpack
$(STAMP_DIR)/unpack:
	$(MAKE) -f debian/sys-build.mk source.make
	rm -rf $B/test/
	touch $@

unpack2: $(STAMP_DIR)/unpack2
$(STAMP_DIR)/unpack2: $(STAMP_DIR)/unpack
ifdef BUILD_UDEB
	cd $B && if [ ! -d udev-udeb/ ]; then \
		mkdir udev-udeb/ && cd udev-udeb/ && \
		sh $(CURDIR)/extra/lndir.sh ..; \
	fi
endif
	touch $@

# FIXME uglyness to get clean diffs
extra-clean:
	rm -r $B.orig/test/

# used by the maintainer
unpack.nopatch: 
	$(MAKE) -f debian/sys-build.mk source.build

# used by the maintainer
diff:
	$(MAKE) -f debian/sys-build.mk make-diff

clean:
	$(MAKE) -f debian/sys-build.mk source.clean
	debconf-updatepo
	dh_clean

build: $(STAMP_DIR)/build
$(STAMP_DIR)/build: $(STAMP_DIR)/unpack2
	dh_testdir
	NOISY=1 \
	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		$(MAKE) all $(MAKE_VARIABLES) USE_SELINUX=$(USE_SELINUX) \
	"
ifdef BUILD_UDEB
	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		cd udev-udeb/ && \
		$(MAKE) all $(MAKE_VARIABLES) VOLUME_ID_STATIC=true \
		OPTFLAGS='-Os -fomit-frame-pointer' \
	"
endif
	touch $@

binary-arch: $(STAMP_DIR)/build checkroot
	dh_testdir
	dh_clean -k
	dh_installdirs

	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		$(MAKE) install $(MAKE_VARIABLES) DESTDIR=$D \
	"

	dh_movefiles --sourcedir=debian/udev
	rmdir $D/dev/ $D/usr/lib/pkgconfig/ $D/usr/include/
	rm -f $D/etc/udev/rules.d/*

	install --mode=755 extra/*-devfs.sh \
		hotplug/*.agent hotplug/scsi-re-add \
		extra/write_*_rules $D/lib/udev/

	cp rules/* extra/links.conf $D/etc/udev/
	printf "# maximum size of the /dev tmpfs\ntmpfs_size=\"10M\"\n\n" \
		>> $D/etc/udev/udev.conf
	sed -e 's/^#\([^ ]\)/\1/' < rules/compat.rules > \
		$D/etc/udev/compat-full.rules

	install --mode=644 hotplug/hotplug.functions $D/lib/udev/
	install --mode=644 hotplug/modprobe.d/* $D/etc/modprobe.d/

	cp extra/reportbug.presubj $D/usr/share/bug/udev/presubj
	install --mode=755 extra/reportbug.script $D/usr/share/bug/udev/script

	install --mode=755 extra/initramfs.hook \
		$D/usr/share/initramfs-tools/hooks/udev
	install --mode=755 extra/initramfs.premount \
		$D/usr/share/initramfs-tools/scripts/init-premount/udev
	install --mode=755 extra/initramfs.bottom \
		$D/usr/share/initramfs-tools/scripts/init-bottom/udev

ifdef BUILD_UDEB
	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		cd udev-udeb/ && \
		$(MAKE) install-bin $(MAKE_VARIABLES) DESTDIR=$(DU) \
	"

	cd $(DU) && rm -r dev/ lib/udev/udev_run_* lib/libvolume_id.* \
		sbin/scsi_id sbin/udevcontrol usr/sbin/ \
		usr/bin/udevtest usr/include/ usr/lib/ etc/udev/rules.d/*

	grep '^[[:alnum:]]' extra/links.conf > $(DU)/etc/udev/links.conf
	grep '^[[:alnum:]]' $B/etc/udev/udev.conf > $(DU)/etc/udev/udev.conf
	cp rules/devfs.rules rules/run.rules extra/020_id.rules \
		$D/etc/udev/compat-full.rules $(DU)/etc/udev/rules.d/
	egrep -v '="(net|ide)\.agent"' rules/hotplug.rules \
		> $(DU)/etc/udev/rules.d/z55_hotplug.rules
	cp rules/persistent.rules $(DU)/etc/udev/rules.d/z20_persistent.rules
	cp rules/cd-aliases-generator.rules \
		$(DU)/etc/udev/rules.d/z75_cd-aliases-generator.rules
ifneq ($(DEB_BUILD_ARCH),s390)
	cp rules/persistent-net-generator.rules \
		$(DU)/etc/udev/rules.d/z45_persistent-net-generator.rules
endif	

	install --mode=755 hotplug/firmware.agent \
		extra/*-devfs.sh extra/write_*_rules $(DU)/lib/udev/
	install --mode=644 hotplug/hotplug.functions $(DU)/lib/udev/
	install --mode=644 hotplug/modprobe.d/* $(DU)/etc/modprobe.d/
	install --mode=755 extra/udev.startup \
		$(DU)/lib/debian-installer-startup.d/S02udev
	mkdir -p $(DU)/usr/lib/post-base-installer.d/
	install --mode=755 extra/udev.post-base-installer \
		$(DU)/usr/lib/post-base-installer.d/05udev
endif

	dh_installchangelogs $B/ChangeLog
	dh_installdocs $(addprefix $B/,$(DOCS))
	cp $B/extras/volume_id/README $D/usr/share/doc/udev/README.vol_id
	dh_installexamples \
		extra/udev.vim extra/udevtest-all
	cp $B/etc/udev/gentoo/udev.rules $(UEX)/gentoo.rules
	cp -a $B/etc/udev/suse/ $B/etc/udev/redhat/ $(UEX)/
	dh_installdebconf
	dh_installinit --no-start --update-rcd-params='start 03 S .'
	dh_installinit --no-start --update-rcd-params='start 36 S .' \
		--name=udev-mtab 

	# remove duplicate changelogs
	rm -rf $(DD)/usr/share/doc/libvolume-id-dev/
	cd $(DD)/usr/share/doc/ && ln -s libvolume-id0 libvolume-id-dev

	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs --version-info='libvolume-id0 (>= 0.103-1)'
	dh_shlibdeps --libpackage=libvolume-id0 -l $(DL)/lib/
	dh_installdeb
	dh_gencontrol $(NO_PACKAGE)
	dh_builddeb $(NO_PACKAGE)


binary:	binary-arch

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep unpack configure build clean checkroot
